import os

from app.utils.API_utils import MockResponse

from app.utils.raster_utils import get_raster_locally

# load the test rasters we are returning in the call to s3
local_raster_prefix='./test/data/'

# Note: input arg names have to match the function being mocked!

def mock_wind_ASCE722_response(api_url) :

    mock_res = {}

    if 'nationalmap.gov/epqs' in api_url :
        mock_res = {
            "USGS_Elevation_Point_Query_Service": {
                "Elevation_Query": {
                    "x":-72.76359999999998,
                    "y":40.88789999358082,
                    "Data_Source":"3DEP 1\/3 arc-second",
                    "Elevation":67.81,"Units":"Feet"
                    }
                }
            }
    
    elif 'w2022_mri10' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "75.999",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri25' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "86.1577",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri50' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "94.9158",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri100' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "105.236",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }
    
    elif 'w2022_mri300' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "105.236",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }
    
    elif 'w2022_mri700' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "126.97",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri1700' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "134.314",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri3000' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "138.416",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri10000' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "148.508",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri100000' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "164.734",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    elif 'w2022_mri1000000' in api_url :
        mock_res = {
            "objectId": 0,
            "name": "Pixel",
            "value": "187.467",
            "location": {
            "x": -8100006.9002854396,
            "y": 4995820.9729400072,
            "spatialReference": {
            "wkid": 102100,
            "latestWkid": 3857
            }
            }
        }

    else : 
        return None

    mock_response = MockResponse(
        headers={'Content-Type' :'application/json'},
        status_code=200,
        json_=mock_res
        )

    return mock_response


def mock_seismic_USGS_point_response(api_url) :

    mock_res = {
    "name": "Hazard Curves - Steve Test",
    "date": "2023-01-17T21:55:46Z",
    "status": "success",
    "url": "/ws/nshmp/conus-2018/dynamic/hazard/-122.2486/37.87397/544",
    "request": {
        "truncate": False,
        "maxdir": False,
        "imts": [
        "PGV",
        "PGA",
        "SA0P01",
        "SA0P02",
        "SA0P03",
        "SA0P05",
        "SA0P075",
        "SA0P1",
        "SA0P15",
        "SA0P2",
        "SA0P25",
        "SA0P3",
        "SA0P4",
        "SA0P5",
        "SA0P75",
        "SA1P0",
        "SA1P5",
        "SA2P0",
        "SA3P0",
        "SA4P0",
        "SA5P0",
        "SA7P5",
        "SA10P0"
        ],
        "longitude": -122.2486,
        "latitude": 37.87397,
        "vs30": 544.0
    },
    "response": {
        "metadata": {
        "server": {
            "threads": 48,
            "timer": "3.299 s",
            "version": "2.0.9-23-gce9c0d9"
        },
        "xlabel": "Ground Motion (g)",
        "ylabel": "Annual Frequency of Exceedance"
        },
        "hazardCurves": [
        {
            "imt": {
            "display": "PGA",
            "value": "PGA"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.80660604,
                    0.62982802,
                    0.47936476,
                    0.35633541,
                    0.26003931,
                    0.18745071,
                    0.13419965,
                    0.09503486,
                    0.066205097,
                    0.044429792,
                    0.028166045,
                    0.016312357,
                    0.008784214,
                    0.0043072715,
                    0.0018900034,
                    6.8387508E-4,
                    1.8900457E-4,
                    3.5182786E-5,
                    3.1588501E-6,
                    1.4354479E-8
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0052890843,
                    0.0037153898,
                    0.002195449,
                    0.001053928,
                    4.0053415E-4,
                    1.1661919E-4,
                    2.4615269E-5,
                    3.2953842E-6,
                    1.9693495E-7,
                    1.7077942E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.16647326,
                    0.14936801,
                    0.13254888,
                    0.11528451,
                    0.097228442,
                    0.079502644,
                    0.063633112,
                    0.050054031,
                    0.038513524,
                    0.028322645,
                    0.019458993,
                    0.012128745,
                    0.0069962932,
                    0.0036681728,
                    0.0017025478,
                    6.4203582E-4,
                    1.8271265E-4,
                    3.4745657E-5,
                    3.1545204E-6,
                    1.4354354E-8
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.62521259,
                    0.46917748,
                    0.33887238,
                    0.2356813,
                    0.15916283,
                    0.10543677,
                    0.068885087,
                    0.04394603,
                    0.027126707,
                    0.015844313,
                    0.0086057032,
                    0.0041538108,
                    0.001781757,
                    6.3857639E-4,
                    1.8743654E-4,
                    4.1836405E-5,
                    6.2915813E-6,
                    4.3710017E-7,
                    4.3281354E-9,
                    9.6143194E-14
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0030761137,
                    0.0029927431,
                    0.0028845675,
                    0.0027204434,
                    0.0024431277,
                    0.0020140433,
                    0.0014807272,
                    9.5134008E-4,
                    5.292961E-4,
                    2.483668E-4,
                    9.6019145E-5,
                    2.8129162E-5,
                    5.7075414E-6,
                    4.2017433E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0039913749,
                    0.0026690524,
                    0.0016720655,
                    9.8831093E-4,
                    5.5810884E-4,
                    3.0328989E-4,
                    1.5815939E-4,
                    7.7427137E-5,
                    3.5165301E-5,
                    1.4461697E-5,
                    5.3302397E-6,
                    1.6713246E-6,
                    4.5633751E-7,
                    1.0215129E-7,
                    1.9055446E-8,
                    2.8558395E-9,
                    3.3614633E-10,
                    2.8670312E-11,
                    1.5820212E-12,
                    2.8372123E-14
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0025636209,
                    0.0019053322,
                    0.0011914179,
                    6.0691922E-4,
                    2.4627515E-4,
                    7.7344098E-5,
                    1.7950098E-5,
                    2.7354481E-6,
                    2.0749003E-7,
                    3.2152446E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "PGV",
            "value": "PGV"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.75969511,
                    0.57796615,
                    0.42590651,
                    0.30544536,
                    0.21567699,
                    0.1483427,
                    0.10255578,
                    0.070317518,
                    0.047662687,
                    0.031392311,
                    0.019858117,
                    0.011854887,
                    0.0068432847,
                    0.0037774774,
                    0.0019030169,
                    8.1844738E-4,
                    2.7078873E-4,
                    6.5525799E-5,
                    1.007814E-5,
                    7.2336895E-7
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.0071275691,
                    0.0062667549,
                    0.0050070405,
                    0.0035056435,
                    0.0021034979,
                    0.0010238733,
                    4.1475532E-4,
                    1.3236559E-4,
                    3.2776297E-5,
                    5.9813637E-6,
                    7.3170022E-7,
                    4.021098E-8,
                    4.7653553E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.18365116,
                    0.16724925,
                    0.14713572,
                    0.12497717,
                    0.10274746,
                    0.08118931,
                    0.06315615,
                    0.048077965,
                    0.035640815,
                    0.025311983,
                    0.017048503,
                    0.010730752,
                    0.0064538968,
                    0.0036662882,
                    0.0018779704,
                    8.140596E-4,
                    2.7027368E-4,
                    6.548801E-5,
                    1.0076548E-5,
                    7.2334673E-7
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.56053745,
                    0.39706993,
                    0.26737224,
                    0.17160743,
                    0.10649645,
                    0.062806483,
                    0.03655616,
                    0.020461156,
                    0.010958562,
                    0.0054939848,
                    0.0025307443,
                    0.0010209027,
                    3.6067398E-4,
                    1.0595084E-4,
                    2.466041E-5,
                    4.3877831E-6,
                    5.1505338E-7,
                    3.778929E-8,
                    1.5920449E-9,
                    2.2217512E-11
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.0031951257,
                    0.0031540631,
                    0.0030944262,
                    0.0030014153,
                    0.0028368094,
                    0.0025241977,
                    0.0020604047,
                    0.0015068585,
                    9.8801121E-4,
                    5.7023253E-4,
                    2.763401E-4,
                    1.0299165E-4,
                    2.8698289E-5,
                    5.2372313E-6,
                    3.8602946E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.0020002799,
                    0.001283206,
                    7.9975863E-4,
                    4.8398297E-4,
                    2.8374228E-4,
                    1.5278632E-4,
                    7.5794981E-5,
                    3.2353232E-5,
                    1.1553565E-5,
                    3.3198395E-6,
                    7.4480484E-7,
                    1.2087526E-7,
                    1.4418048E-8,
                    1.1672803E-9,
                    5.4754855E-11,
                    1.10941E-12,
                    1.3342901E-15,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.237,
                    0.355,
                    0.532,
                    0.798,
                    1.19,
                    1.8,
                    2.69,
                    4.04,
                    6.06,
                    9.09,
                    13.6,
                    20.5,
                    30.7,
                    46.0,
                    69.0,
                    103.0,
                    155.0,
                    233.0,
                    349.0,
                    525.0
                ],
                "ys": [
                    0.0031835264,
                    0.0029429448,
                    0.0024973237,
                    0.0018697139,
                    0.0012090323,
                    6.460531E-4,
                    2.9251847E-4,
                    1.068192E-4,
                    3.0968528E-5,
                    6.8100967E-6,
                    1.0529335E-6,
                    8.0456138E-8,
                    7.2094882E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.01 s",
            "value": "SA0P01"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.80852817,
                    0.63152528,
                    0.48078428,
                    0.35747397,
                    0.26092288,
                    0.18811995,
                    0.13470004,
                    0.095408461,
                    0.066488643,
                    0.044648073,
                    0.028331288,
                    0.016427285,
                    0.0088562359,
                    0.0043482701,
                    0.0019117899,
                    6.9370043E-4,
                    1.9241287E-4,
                    3.6021387E-5,
                    3.2631081E-6,
                    1.8041485E-8
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0053020139,
                    0.0037297241,
                    0.0022075382,
                    0.0010615658,
                    4.0411398E-4,
                    1.1784373E-4,
                    2.4903626E-5,
                    3.3366635E-6,
                    1.9930238E-7,
                    1.7241895E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.16663277,
                    0.14952733,
                    0.13270431,
                    0.11544615,
                    0.097395864,
                    0.079664338,
                    0.063778668,
                    0.050181669,
                    0.038628223,
                    0.0284283,
                    0.01955281,
                    0.012202563,
                    0.007047118,
                    0.0036999387,
                    0.0017210238,
                    6.5094047E-4,
                    1.8593888E-4,
                    3.5563149E-5,
                    3.2578948E-6,
                    1.8041361E-8
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.62695658,
                    0.47069374,
                    0.34011752,
                    0.23664594,
                    0.1598731,
                    0.10594227,
                    0.069239428,
                    0.044191922,
                    0.02729555,
                    0.01595694,
                    0.008677129,
                    0.0041949219,
                    0.0018029541,
                    6.47809E-4,
                    1.9074709E-4,
                    4.2757101E-5,
                    6.473653E-6,
                    4.5820962E-7,
                    5.2117231E-9,
                    9.6327659E-14
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0030761137,
                    0.0029927431,
                    0.0028845675,
                    0.0027204434,
                    0.0024431277,
                    0.0020140433,
                    0.0014807272,
                    9.5134008E-4,
                    5.292961E-4,
                    2.483668E-4,
                    9.6019145E-5,
                    2.8129162E-5,
                    5.7075414E-6,
                    4.2017433E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0039913749,
                    0.0026690524,
                    0.0016720655,
                    9.8831093E-4,
                    5.5810884E-4,
                    3.0328989E-4,
                    1.5815939E-4,
                    7.7427137E-5,
                    3.5165301E-5,
                    1.4461697E-5,
                    5.3302397E-6,
                    1.6713246E-6,
                    4.5633751E-7,
                    1.0215129E-7,
                    1.9055446E-8,
                    2.8558395E-9,
                    3.3614633E-10,
                    2.8670312E-11,
                    1.5820212E-12,
                    2.8372123E-14
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00233,
                    0.0035,
                    0.00524,
                    0.00786,
                    0.0118,
                    0.0177,
                    0.0265,
                    0.0398,
                    0.0597,
                    0.0896,
                    0.134,
                    0.202,
                    0.302,
                    0.454,
                    0.68,
                    1.02,
                    1.53,
                    2.3,
                    3.44,
                    5.17
                ],
                "ys": [
                    0.0025693237,
                    0.0019126859,
                    0.001198273,
                    6.1155824E-4,
                    2.4856413E-4,
                    7.8161699E-5,
                    1.8151443E-5,
                    2.766224E-6,
                    2.0961614E-7,
                    3.2469233E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.02 s",
            "value": "SA0P02"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.72049417,
                    0.55607502,
                    0.41782959,
                    0.30819616,
                    0.22408432,
                    0.1607098,
                    0.11478836,
                    0.080999093,
                    0.055719018,
                    0.036491237,
                    0.022410249,
                    0.012582916,
                    0.0065453623,
                    0.0030949976,
                    0.0012684118,
                    4.1296334E-4,
                    9.8562293E-5,
                    1.4388497E-5,
                    8.7062372E-7,
                    1.0014985E-14
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.0045577442,
                    0.0029655371,
                    0.0015878524,
                    6.8598792E-4,
                    2.3250889E-4,
                    5.7845482E-5,
                    1.0057247E-5,
                    9.7495103E-7,
                    2.7921702E-8,
                    2.4695494E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.15826704,
                    0.14134156,
                    0.12436972,
                    0.10679443,
                    0.088854213,
                    0.071767895,
                    0.057055364,
                    0.04457971,
                    0.03375253,
                    0.024109898,
                    0.015971261,
                    0.0096252497,
                    0.0053633235,
                    0.0027036338,
                    0.0011651468,
                    3.9310375E-4,
                    9.6268517E-5,
                    1.429338E-5,
                    8.7056878E-7,
                    0.0
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.54900579,
                    0.40508269,
                    0.28685417,
                    0.19695508,
                    0.13219413,
                    0.086885983,
                    0.056406178,
                    0.035643575,
                    0.021571004,
                    0.012212894,
                    0.0063804688,
                    0.002942739,
                    0.0011797953,
                    3.9126018E-4,
                    1.0325588E-4,
                    1.985826E-5,
                    2.2936204E-6,
                    9.510318E-8,
                    5.4186174E-11,
                    1.4637587E-20
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.0030322238,
                    0.0029374618,
                    0.0028025641,
                    0.0025830497,
                    0.0022261187,
                    0.0017295445,
                    0.0011926,
                    7.1858863E-4,
                    3.7130933E-4,
                    1.5904534E-4,
                    5.5245007E-5,
                    1.3957155E-5,
                    1.997244E-6,
                    5.1679763E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.003371426,
                    0.0021960522,
                    0.0013377516,
                    7.7592743E-4,
                    4.321506E-4,
                    2.294757E-4,
                    1.1665372E-4,
                    5.5393603E-5,
                    2.4112457E-5,
                    9.3992472E-6,
                    3.2735187E-6,
                    9.7029146E-7,
                    2.4632996E-7,
                    5.1968905E-8,
                    9.1689692E-9,
                    1.3282509E-9,
                    1.5591323E-10,
                    1.3783066E-11,
                    7.5865138E-13,
                    1.001497E-14
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00283,
                    0.00424,
                    0.00637,
                    0.00955,
                    0.0143,
                    0.0215,
                    0.0322,
                    0.0483,
                    0.0725,
                    0.109,
                    0.163,
                    0.245,
                    0.367,
                    0.551,
                    0.826,
                    1.24,
                    1.86,
                    2.79,
                    4.18,
                    6.27
                ],
                "ys": [
                    0.0022599526,
                    0.0015517131,
                    8.7753456E-4,
                    4.0168273E-4,
                    1.4519837E-4,
                    3.9059507E-5,
                    7.5028457E-6,
                    8.5025972E-7,
                    3.4733085E-8,
                    1.2601918E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.03 s",
            "value": "SA0P03"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.66043638,
                    0.50742761,
                    0.38085834,
                    0.28154774,
                    0.20384318,
                    0.14712158,
                    0.1053218,
                    0.074236755,
                    0.050865432,
                    0.033038965,
                    0.019932039,
                    0.011055806,
                    0.0056451304,
                    0.0026067017,
                    0.0010231068,
                    3.1364837E-4,
                    6.8988728E-5,
                    8.4682914E-6,
                    3.5090459E-7,
                    5.0906428E-15
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0039162761,
                    0.0023889146,
                    0.0011940129,
                    4.8182803E-4,
                    1.4659245E-4,
                    3.3227347E-5,
                    4.9734802E-6,
                    3.5285811E-7,
                    4.4219766E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.15160664,
                    0.13513207,
                    0.11843966,
                    0.10113211,
                    0.083366314,
                    0.067331766,
                    0.053513011,
                    0.041692849,
                    0.031352546,
                    0.02213736,
                    0.014380733,
                    0.0085501867,
                    0.0046742456,
                    0.0022960425,
                    9.4528396E-4,
                    2.9981658E-4,
                    6.7616139E-5,
                    8.4252012E-6,
                    3.5089168E-7,
                    0.0
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.49691307,
                    0.36381394,
                    0.25667419,
                    0.17653849,
                    0.1178638,
                    0.07805286,
                    0.05072808,
                    0.03194175,
                    0.019223033,
                    0.010786312,
                    0.0055150841,
                    0.0024975862,
                    9.7002295E-4,
                    3.1062033E-4,
                    7.7816236E-5,
                    1.383086E-5,
                    1.3724821E-6,
                    4.308078E-8,
                    1.2429743E-11,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.002989807,
                    0.0028798371,
                    0.0027110157,
                    0.0024330619,
                    0.0020021758,
                    0.0014827397,
                    9.7162993E-4,
                    5.5433331E-4,
                    2.6954208E-4,
                    1.0747936E-4,
                    3.3578735E-5,
                    7.2638465E-6,
                    6.7275735E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0030469864,
                    0.0019582843,
                    0.0011830196,
                    6.8445911E-4,
                    3.751311E-4,
                    1.9942523E-4,
                    1.0058396E-4,
                    4.717651E-5,
                    2.0300573E-5,
                    7.8133426E-6,
                    2.6436935E-6,
                    7.6892502E-7,
                    1.8906438E-7,
                    3.8851642E-8,
                    6.6335212E-9,
                    9.3136118E-10,
                    1.0701195E-10,
                    9.3662842E-12,
                    4.8475993E-13,
                    5.0906428E-15
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.001963601,
                    0.0012545602,
                    6.5644956E-4,
                    2.7778849E-4,
                    8.9164712E-5,
                    2.1566574E-5,
                    3.5191929E-6,
                    2.9324125E-7,
                    6.1038522E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.05 s",
            "value": "SA0P05"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.690675,
                    0.53997466,
                    0.41295853,
                    0.31108311,
                    0.22936895,
                    0.16820422,
                    0.12221714,
                    0.087657955,
                    0.06156995,
                    0.041465101,
                    0.026211616,
                    0.015282057,
                    0.0081785894,
                    0.003999516,
                    0.0017284711,
                    6.1623304E-4,
                    1.7061752E-4,
                    3.3236514E-5,
                    3.4305116E-6,
                    1.0608872E-7
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0039522084,
                    0.0024751632,
                    0.0012883432,
                    5.4931102E-4,
                    1.8010512E-4,
                    4.4979739E-5,
                    7.7105089E-6,
                    6.9841194E-7,
                    1.5414882E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.15269166,
                    0.1371122,
                    0.12160063,
                    0.10552987,
                    0.088620696,
                    0.072788076,
                    0.058727909,
                    0.046584817,
                    0.035995372,
                    0.026454944,
                    0.018068966,
                    0.011299759,
                    0.0064704546,
                    0.0033768141,
                    0.001542871,
                    5.7349626E-4,
                    1.6366356E-4,
                    3.257905E-5,
                    3.4051617E-6,
                    1.0608783E-7
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.52566468,
                    0.39398614,
                    0.28530134,
                    0.20149056,
                    0.1380609,
                    0.09366088,
                    0.062403917,
                    0.040465265,
                    0.025278368,
                    0.014890259,
                    0.0081040611,
                    0.0039733846,
                    0.0017070518,
                    6.2262085E-4,
                    1.85585E-4,
                    4.2734455E-5,
                    6.9536581E-6,
                    6.5743117E-7,
                    2.5347307E-8,
                    8.0543083E-13
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0029748676,
                    0.0028575391,
                    0.0026731613,
                    0.0023756642,
                    0.0019357999,
                    0.0014280597,
                    9.3990662E-4,
                    5.4188293E-4,
                    2.6690791E-4,
                    1.0796098E-4,
                    3.4269683E-5,
                    7.5567445E-6,
                    7.208537E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0034388498,
                    0.0022736243,
                    0.0014102818,
                    8.3541216E-4,
                    4.6857088E-4,
                    2.553771E-4,
                    1.3281926E-4,
                    6.47935E-5,
                    2.9269896E-5,
                    1.1937946E-5,
                    4.3194988E-6,
                    1.3563368E-6,
                    3.6213506E-7,
                    8.1112074E-8,
                    1.511424E-8,
                    2.3294622E-9,
                    3.0244354E-10,
                    3.2550639E-11,
                    2.5437979E-12,
                    8.8343593E-14
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0019527339,
                    0.0012699987,
                    6.8477891E-4,
                    3.0229656E-4,
                    1.0287881E-4,
                    2.6845851E-5,
                    4.8794776E-6,
                    4.9882783E-7,
                    1.7064774E-8,
                    1.6266084E-12,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.075 s",
            "value": "SA0P075"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.75137424,
                    0.59813526,
                    0.46590027,
                    0.35728295,
                    0.2679744,
                    0.19945116,
                    0.14683477,
                    0.10679352,
                    0.076472181,
                    0.053046792,
                    0.034967517,
                    0.021441696,
                    0.012069353,
                    0.0062044192,
                    0.0028701928,
                    0.0011417347,
                    3.7138626E-4,
                    9.3604619E-5,
                    1.6005091E-5,
                    1.2888116E-6
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0041024485,
                    0.0026493665,
                    0.0014412831,
                    6.5171473E-4,
                    2.3141235E-4,
                    6.423831E-5,
                    1.2705839E-5,
                    1.4818128E-6,
                    5.983266E-8,
                    1.3712673E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.1557699,
                    0.14076315,
                    0.12614453,
                    0.11119522,
                    0.095165206,
                    0.079560377,
                    0.065163735,
                    0.052487736,
                    0.041455714,
                    0.03153619,
                    0.022592236,
                    0.014922489,
                    0.0090020295,
                    0.004950121,
                    0.0024378745,
                    0.0010212803,
                    3.4533284E-4,
                    8.9603138E-5,
                    1.5634192E-5,
                    1.2746421E-6
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.58235645,
                    0.44763321,
                    0.33299319,
                    0.24149392,
                    0.1697288,
                    0.11782742,
                    0.08033516,
                    0.053502399,
                    0.03458601,
                    0.021314991,
                    0.012302691,
                    0.0064985284,
                    0.0030634737,
                    0.0012539839,
                    4.3227164E-4,
                    1.2044609E-4,
                    2.6052138E-5,
                    4.0013124E-6,
                    3.7088122E-7,
                    1.4168231E-8
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0029657183,
                    0.0028677545,
                    0.0027111766,
                    0.0024541356,
                    0.0020631831,
                    0.0015933134,
                    0.0011171533,
                    6.9998106E-4,
                    3.822297E-4,
                    1.746266E-4,
                    6.4355983E-5,
                    1.7829471E-5,
                    2.9965728E-6,
                    9.7048618E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0041725437,
                    0.002883698,
                    0.0018622416,
                    0.0011415354,
                    6.5979155E-4,
                    3.6991963E-4,
                    1.986916E-4,
                    1.0100455E-4,
                    4.8119495E-5,
                    2.0983793E-5,
                    8.2340561E-6,
                    2.8497149E-6,
                    8.5274582E-7,
                    2.1728791E-7,
                    4.669833E-8,
                    8.3955952E-9,
                    1.2887025E-9,
                    1.6909449E-10,
                    1.7772144E-11,
                    1.2591648E-12
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0020071718,
                    0.0013380886,
                    7.4784446E-4,
                    3.4642005E-4,
                    1.2600657E-4,
                    3.58914E-5,
                    7.3270936E-6,
                    9.1536213E-7,
                    4.8207696E-8,
                    2.5999421E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.1 s",
            "value": "SA0P1"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.81836607,
                    0.65865951,
                    0.5180335,
                    0.40061472,
                    0.30268077,
                    0.22655527,
                    0.16748816,
                    0.12229355,
                    0.088116246,
                    0.06184048,
                    0.041554263,
                    0.026157509,
                    0.01515922,
                    0.0080197118,
                    0.0038341105,
                    0.0016001537,
                    5.5626174E-4,
                    1.5332102E-4,
                    3.0223427E-5,
                    3.3761083E-6
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.004454834,
                    0.0029881465,
                    0.0017029899,
                    8.1391547E-4,
                    3.0992241E-4,
                    9.4159472E-5,
                    2.0980843E-5,
                    2.9943799E-6,
                    1.9090923E-7,
                    1.2722911E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.16037551,
                    0.14535867,
                    0.13080821,
                    0.11620551,
                    0.10053511,
                    0.084945481,
                    0.070166858,
                    0.056916003,
                    0.045362125,
                    0.035044522,
                    0.025710733,
                    0.01750616,
                    0.010900734,
                    0.0061799262,
                    0.0031566455,
                    0.0013958097,
                    5.0760589E-4,
                    1.4481946E-4,
                    2.9272457E-5,
                    3.3223453E-6
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.64356637,
                    0.50245313,
                    0.37956508,
                    0.27916325,
                    0.19861128,
                    0.1392107,
                    0.095715951,
                    0.064352555,
                    0.042155142,
                    0.026492117,
                    0.015714952,
                    0.0086079682,
                    0.0042477617,
                    0.0018383086,
                    6.7734818E-4,
                    2.0432015E-4,
                    4.8651531E-5,
                    8.5008672E-6,
                    9.5087509E-7,
                    5.3753175E-8
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0029654417,
                    0.0028826006,
                    0.0027484245,
                    0.0025249627,
                    0.0021772699,
                    0.0017465247,
                    0.0012933078,
                    8.7399276E-4,
                    5.2629679E-4,
                    2.7070841E-4,
                    1.1476849E-4,
                    3.823822E-5,
                    9.0430081E-6,
                    1.0021591E-6,
                    1.6351604E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0048575086,
                    0.0034936819,
                    0.002342101,
                    0.0014836225,
                    8.8224048E-4,
                    5.0696071E-4,
                    2.7919382E-4,
                    1.4621753E-4,
                    7.2355794E-5,
                    3.3128399E-5,
                    1.3809218E-5,
                    5.1424793E-6,
                    1.6809494E-6,
                    4.7492806E-7,
                    1.1518E-7,
                    2.3852999E-8,
                    4.3210357E-9,
                    6.9322054E-10,
                    9.4245857E-11,
                    9.8280483E-12
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0021463963,
                    0.001483286,
                    8.6669561E-4,
                    4.2346486E-4,
                    1.6494791E-4,
                    5.1442308E-5,
                    1.1866879E-5,
                    1.7844279E-6,
                    1.361162E-7,
                    2.4667719E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.15 s",
            "value": "SA0P15"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.91744615,
                    0.7451168,
                    0.58909479,
                    0.45650466,
                    0.34491545,
                    0.25779954,
                    0.19009728,
                    0.13843253,
                    0.099724399,
                    0.070383613,
                    0.047976263,
                    0.030919707,
                    0.018473765,
                    0.01012244,
                    0.0050562906,
                    0.0022480887,
                    8.5212591E-4,
                    2.5999687E-4,
                    5.8432557E-5,
                    7.7088495E-6
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0052393759,
                    0.0037802802,
                    0.0023452425,
                    0.0012330808,
                    5.2601079E-4,
                    1.8383717E-4,
                    4.962485E-5,
                    9.4664988E-6,
                    1.0804557E-6,
                    4.4617033E-8,
                    1.1953561E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.16944442,
                    0.15428299,
                    0.13911194,
                    0.12412978,
                    0.10827861,
                    0.092302318,
                    0.076728252,
                    0.062456714,
                    0.049989428,
                    0.039014567,
                    0.029188639,
                    0.020449536,
                    0.013170978,
                    0.007746402,
                    0.0041420352,
                    0.001957969,
                    7.7936455E-4,
                    2.4667571E-4,
                    5.7001302E-5,
                    7.6470888E-6
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.73197923,
                    0.57838425,
                    0.44098068,
                    0.32615523,
                    0.23245403,
                    0.16265702,
                    0.1114437,
                    0.074709551,
                    0.048960189,
                    0.030951722,
                    0.018597864,
                    0.010400103,
                    0.0052829584,
                    0.0023725047,
                    9.1395769E-4,
                    2.9007871E-4,
                    7.2753027E-5,
                    1.331964E-5,
                    1.4310178E-6,
                    6.1731228E-8
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.002989197,
                    0.0029182029,
                    0.0028106969,
                    0.0026337893,
                    0.0023444157,
                    0.0019569372,
                    0.0015154334,
                    0.0010760483,
                    6.8555072E-4,
                    3.7659233E-4,
                    1.7242406E-4,
                    6.3401E-5,
                    1.7551361E-5,
                    2.8504039E-6,
                    1.1842416E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0053337779,
                    0.0039189939,
                    0.0026768399,
                    0.0017212043,
                    0.0010349896,
                    5.9912413E-4,
                    3.3184005E-4,
                    1.7493279E-4,
                    8.7421475E-5,
                    4.0648135E-5,
                    1.7335645E-5,
                    6.6665288E-6,
                    2.2774912E-6,
                    6.8330789E-7,
                    1.7925008E-7,
                    4.0967457E-8,
                    8.3257314E-9,
                    1.5148475E-9,
                    2.3669882E-10,
                    2.9408097E-11
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0024601541,
                    0.0018320782,
                    0.001169389,
                    6.3157993E-4,
                    2.7739362E-4,
                    1.0030279E-4,
                    2.8428494E-5,
                    5.8127589E-6,
                    7.2952323E-7,
                    3.95308E-8,
                    1.9483047E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.2 s",
            "value": "SA0P2"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.98629999,
                    0.80146845,
                    0.63117033,
                    0.48530166,
                    0.36281073,
                    0.26808819,
                    0.19544867,
                    0.1408233,
                    0.10056405,
                    0.070564433,
                    0.047999898,
                    0.030999604,
                    0.018650904,
                    0.010359465,
                    0.0053030225,
                    0.0024605199,
                    9.978797E-4,
                    3.3495707E-4,
                    8.6118554E-5,
                    1.4868049E-5
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0060008259,
                    0.0046560698,
                    0.0031469523,
                    0.0018171071,
                    8.5984323E-4,
                    3.3687507E-4,
                    1.0445192E-4,
                    2.4084515E-5,
                    3.6816408E-6,
                    2.8011822E-7,
                    3.1102394E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.17742238,
                    0.16243979,
                    0.14645028,
                    0.13044142,
                    0.11366945,
                    0.096795743,
                    0.080233195,
                    0.064943319,
                    0.051645623,
                    0.040117872,
                    0.029977035,
                    0.021055813,
                    0.013651401,
                    0.0081259082,
                    0.0044403681,
                    0.0021831256,
                    9.2649269E-4,
                    3.2130636E-4,
                    8.4584321E-5,
                    1.4813429E-5
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.79143727,
                    0.62499612,
                    0.47427375,
                    0.34754921,
                    0.244258,
                    0.16803964,
                    0.11305657,
                    0.074483804,
                    0.048073006,
                    0.029992878,
                    0.01781633,
                    0.0098669164,
                    0.0049773588,
                    0.0022294387,
                    8.6226519E-4,
                    2.773458E-4,
                    7.1377209E-5,
                    1.364896E-5,
                    1.5339715E-6,
                    5.4589323E-8
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.002995984,
                    0.0029275814,
                    0.0028324388,
                    0.0026831249,
                    0.0024316763,
                    0.0020700462,
                    0.0016265853,
                    0.0011623563,
                    7.4125364E-4,
                    4.0728492E-4,
                    1.8679235E-4,
                    6.9219022E-5,
                    1.950349E-5,
                    3.3175468E-6,
                    1.7766097E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0056986597,
                    0.0042535572,
                    0.0029418111,
                    0.0019073987,
                    0.0011523769,
                    6.6834798E-4,
                    3.7058244E-4,
                    1.9574675E-4,
                    9.8196819E-5,
                    4.5924933E-5,
                    1.9733941E-5,
                    7.6559931E-6,
                    2.6408266E-6,
                    8.0012684E-7,
                    2.1160711E-7,
                    4.8520478E-8,
                    9.7975352E-9,
                    1.7455416E-9,
                    2.6151191E-10,
                    3.0318708E-11
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0027448655,
                    0.0021953241,
                    0.0015250975,
                    9.0339957E-4,
                    4.3937993E-4,
                    1.7753272E-4,
                    5.7282755E-5,
                    1.3989489E-5,
                    2.2937236E-6,
                    1.9333632E-7,
                    4.1024093E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.25 s",
            "value": "SA0P25"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    1.029606,
                    0.83506894,
                    0.65381809,
                    0.49804917,
                    0.36783547,
                    0.2682096,
                    0.19289207,
                    0.13716089,
                    0.096770009,
                    0.067161495,
                    0.045218115,
                    0.028919834,
                    0.017268258,
                    0.0095715549,
                    0.0049263666,
                    0.002309307,
                    9.4740851E-4,
                    3.2271197E-4,
                    8.5032183E-5,
                    1.5471054E-5
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0064862495,
                    0.0052875768,
                    0.0037986241,
                    0.0023474201,
                    0.0011963094,
                    5.0682096E-4,
                    1.7207205E-4,
                    4.4497408E-5,
                    8.061952E-6,
                    8.4242372E-7,
                    2.9853063E-8,
                    7.2457724E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.18269429,
                    0.1682098,
                    0.15174482,
                    0.13481759,
                    0.11704658,
                    0.09919177,
                    0.081663174,
                    0.06552099,
                    0.051585691,
                    0.039650233,
                    0.029296908,
                    0.020341368,
                    0.013061285,
                    0.007740594,
                    0.0042385776,
                    0.0020948395,
                    8.9412229E-4,
                    3.1300082E-4,
                    8.4042719E-5,
                    1.5443006E-5
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.82900568,
                    0.65211783,
                    0.49083144,
                    0.35523647,
                    0.24544318,
                    0.16550887,
                    0.10896026,
                    0.070221408,
                    0.044355858,
                    0.027081682,
                    0.015731706,
                    0.0085099506,
                    0.004187896,
                    0.0018275796,
                    6.8747575E-4,
                    2.1443349E-4,
                    5.3279654E-5,
                    9.7100453E-6,
                    9.8931389E-7,
                    2.8032219E-8
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0029981072,
                    0.0029279896,
                    0.0028384372,
                    0.0027052923,
                    0.0024766557,
                    0.0021263793,
                    0.001669282,
                    0.0011750179,
                    7.3004211E-4,
                    3.891189E-4,
                    1.7307973E-4,
                    6.2341877E-5,
                    1.7014475E-5,
                    2.7769588E-6,
                    1.5912645E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0054906407,
                    0.0040543349,
                    0.0027703943,
                    0.0017731546,
                    0.0010568459,
                    6.0496815E-4,
                    3.3110938E-4,
                    1.7246485E-4,
                    8.5110649E-5,
                    3.9013548E-5,
                    1.6364518E-5,
                    6.1728977E-6,
                    2.0629339E-6,
                    6.0434167E-7,
                    1.5418616E-7,
                    3.4002048E-8,
                    6.5688529E-9,
                    1.1021297E-9,
                    1.5070818E-10,
                    1.5177953E-11
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0029309907,
                    0.0024714074,
                    0.0018343765,
                    0.0011692363,
                    6.1590439E-4,
                    2.7078932E-4,
                    9.6174232E-5,
                    2.6510754E-5,
                    5.245098E-6,
                    6.0519476E-7,
                    2.6449751E-8,
                    1.1270743E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.3 s",
            "value": "SA0P3"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    1.0513547,
                    0.85007418,
                    0.66136796,
                    0.49917451,
                    0.3643962,
                    0.26237516,
                    0.18626963,
                    0.13078987,
                    0.091166669,
                    0.062510809,
                    0.041547892,
                    0.026212802,
                    0.015456302,
                    0.0084893346,
                    0.0043422724,
                    0.0020176548,
                    8.131614E-4,
                    2.6866614E-4,
                    6.7354074E-5,
                    1.1016274E-5
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0067637891,
                    0.0056889888,
                    0.0042615931,
                    0.0027666316,
                    0.0014896794,
                    6.6742662E-4,
                    2.4040379E-4,
                    6.6451966E-5,
                    1.3121752E-5,
                    1.5829976E-6,
                    8.4959214E-8,
                    6.9817616E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.18564012,
                    0.17170979,
                    0.15499452,
                    0.13724097,
                    0.11845667,
                    0.099674683,
                    0.081364962,
                    0.064658365,
                    0.050366918,
                    0.038239644,
                    0.027848543,
                    0.019031186,
                    0.012039743,
                    0.0070527018,
                    0.0038242105,
                    0.0018643773,
                    7.7777578E-4,
                    2.6298985E-4,
                    6.690552E-5,
                    1.1009228E-5
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.84785027,
                    0.66345355,
                    0.49477627,
                    0.35352669,
                    0.24025229,
                    0.15896456,
                    0.10250764,
                    0.064651178,
                    0.039946057,
                    0.023832593,
                    0.013506986,
                    0.0071122841,
                    0.0033973084,
                    0.0014332244,
                    5.1776929E-4,
                    1.5325633E-4,
                    3.5381795E-5,
                    5.6756932E-6,
                    4.4848037E-7,
                    7.039007E-9
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0030084352,
                    0.0029388551,
                    0.002854461,
                    0.0027348486,
                    0.002529121,
                    0.0021988529,
                    0.0017431552,
                    0.0012304161,
                    7.62054E-4,
                    4.0444475E-4,
                    1.7938648E-4,
                    6.4646735E-5,
                    1.7743308E-5,
                    2.9864959E-6,
                    1.9055095E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0050638553,
                    0.0036437723,
                    0.0024293208,
                    0.0015231877,
                    8.9393824E-4,
                    5.0686278E-4,
                    2.7562192E-4,
                    1.4251354E-4,
                    6.9522872E-5,
                    3.1306203E-5,
                    1.2812588E-5,
                    4.6836393E-6,
                    1.5066328E-6,
                    4.2190195E-7,
                    1.0209377E-7,
                    2.1199893E-8,
                    3.8252207E-9,
                    5.9182433E-10,
                    7.3213267E-11,
                    6.4582139E-12
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0030282229,
                    0.0026392212,
                    0.0020517833,
                    0.0013821866,
                    7.7450506E-4,
                    3.6277854E-4,
                    1.3784287E-4,
                    4.094542E-5,
                    8.9955072E-6,
                    1.2387079E-6,
                    7.8983281E-8,
                    5.5550955E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.4 s",
            "value": "SA0P4"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    1.041934,
                    0.83152647,
                    0.63624637,
                    0.47099274,
                    0.3364648,
                    0.23707859,
                    0.1648337,
                    0.11350894,
                    0.077666586,
                    0.052207006,
                    0.033914444,
                    0.020878667,
                    0.0120513,
                    0.0065229186,
                    0.003292329,
                    0.0014930659,
                    5.7713837E-4,
                    1.7947285E-4,
                    4.0816132E-5,
                    5.3251445E-6
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.007009341,
                    0.0060459895,
                    0.0046873115,
                    0.0031762071,
                    0.001803222,
                    8.5996133E-4,
                    3.3488137E-4,
                    1.0296719E-4,
                    2.3889075E-5,
                    3.8796205E-6,
                    4.0630496E-7,
                    1.8012513E-8,
                    8.1312675E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.18834454,
                    0.17473953,
                    0.15738928,
                    0.13818101,
                    0.11759666,
                    0.097290989,
                    0.078003909,
                    0.060893982,
                    0.046554559,
                    0.034549084,
                    0.02446359,
                    0.016215297,
                    0.0099801475,
                    0.0057170319,
                    0.0030263366,
                    0.0014222234,
                    5.6290052E-4,
                    1.7764477E-4,
                    4.0717068E-5,
                    5.3239377E-6
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.83621498,
                    0.64207844,
                    0.46715615,
                    0.3241213,
                    0.21288334,
                    0.13584718,
                    0.084346535,
                    0.051140753,
                    0.030307898,
                    0.017269203,
                    0.0092898439,
                    0.0046084101,
                    0.0020567604,
                    8.0354597E-4,
                    2.658204E-4,
                    7.0834181E-5,
                    1.4236552E-5,
                    1.8279133E-6,
                    9.9047602E-8,
                    1.205973E-9
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.003013913,
                    0.0029428275,
                    0.002859061,
                    0.0027433527,
                    0.0025447265,
                    0.0022155214,
                    0.0017432033,
                    0.0012015807,
                    7.1485238E-4,
                    3.6109782E-4,
                    1.5231415E-4,
                    5.2227408E-5,
                    1.358896E-5,
                    2.1348242E-6,
                    1.2703686E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0042343159,
                    0.0029160317,
                    0.0018714841,
                    0.0011400739,
                    6.5601558E-4,
                    3.6709511E-4,
                    1.9691234E-4,
                    9.972552E-5,
                    4.7135732E-5,
                    2.0318622E-5,
                    7.8705016E-6,
                    2.6931342E-6,
                    8.0258293E-7,
                    2.058885E-7,
                    4.5014419E-8,
                    8.3081552E-9,
                    1.2977135E-9,
                    1.6604247E-10,
                    1.5729299E-11,
                    8.9903084E-13
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0031168954,
                    0.0028036605,
                    0.0022830847,
                    0.0016308057,
                    9.8083762E-4,
                    4.9784334E-4,
                    2.0825441E-4,
                    6.992789E-5,
                    1.8251668E-5,
                    3.4234633E-6,
                    4.1929758E-7,
                    2.1748605E-8,
                    3.4740232E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.5 s",
            "value": "SA0P5"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.9973685,
                    0.78529403,
                    0.59220933,
                    0.43190533,
                    0.30383043,
                    0.21096181,
                    0.14467178,
                    0.098334376,
                    0.066362423,
                    0.043869477,
                    0.027938307,
                    0.016858235,
                    0.0095730941,
                    0.0051133136,
                    0.0025348048,
                    0.0011153306,
                    4.1396177E-4,
                    1.2241948E-4,
                    2.55556E-5,
                    2.7829942E-6
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0070606964,
                    0.0061244788,
                    0.0047900728,
                    0.0032882197,
                    0.0019024687,
                    9.3083179E-4,
                    3.754277E-4,
                    1.2131974E-4,
                    3.0321079E-5,
                    5.5861252E-6,
                    7.2988938E-7,
                    4.8468561E-8,
                    6.4327387E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.18835456,
                    0.17444731,
                    0.15636394,
                    0.13600504,
                    0.11414581,
                    0.092962511,
                    0.073393234,
                    0.056454166,
                    0.042450517,
                    0.03083481,
                    0.021277145,
                    0.013740281,
                    0.0082686238,
                    0.0046390057,
                    0.0023901277,
                    0.0010803089,
                    4.0779749E-4,
                    1.2177961E-4,
                    2.5530065E-5,
                    2.7825687E-6
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.79245107,
                    0.59672293,
                    0.42447678,
                    0.28734547,
                    0.18372639,
                    0.11405782,
                    0.068810494,
                    0.040446816,
                    0.023158397,
                    0.012685719,
                    0.0065218129,
                    0.0030717145,
                    0.0012923936,
                    4.722019E-4,
                    1.4453631E-4,
                    3.5018808E-5,
                    6.1638818E-6,
                    6.3982795E-7,
                    2.553262E-8,
                    4.2536608E-10
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0030219572,
                    0.0029492421,
                    0.0028617211,
                    0.0027410178,
                    0.0025369057,
                    0.0022006017,
                    0.0017158585,
                    0.0011597498,
                    6.6887168E-4,
                    3.259538E-4,
                    1.3339863E-4,
                    4.4728058E-5,
                    1.1692963E-5,
                    2.0165772E-6,
                    1.2311904E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.0033464785,
                    0.0022097447,
                    0.0013732427,
                    8.1889588E-4,
                    4.6461272E-4,
                    2.5654945E-4,
                    1.3484714E-4,
                    6.6129159E-5,
                    2.9879534E-5,
                    1.2165127E-5,
                    4.4034566E-6,
                    1.3948853E-6,
                    3.8210533E-7,
                    8.9360922E-8,
                    1.7685596E-8,
                    2.9266773E-9,
                    4.0061922E-10,
                    4.2811056E-11,
                    3.0666571E-12,
                    9.0975211E-14
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00333,
                    0.00499,
                    0.00749,
                    0.0112,
                    0.0169,
                    0.0253,
                    0.0379,
                    0.0569,
                    0.0853,
                    0.128,
                    0.192,
                    0.288,
                    0.432,
                    0.648,
                    0.972,
                    1.46,
                    2.19,
                    3.28,
                    4.92,
                    7.38
                ],
                "ys": [
                    0.003133739,
                    0.0028403195,
                    0.0023435797,
                    0.001706696,
                    0.0010542414,
                    5.5349954E-4,
                    2.4191927E-4,
                    8.6195574E-5,
                    2.4436963E-5,
                    5.2425457E-6,
                    8.1671725E-7,
                    6.7774457E-8,
                    9.3669963E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "0.75 s",
            "value": "SA0P75"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.96024806,
                    0.75233089,
                    0.56595747,
                    0.40995846,
                    0.28887067,
                    0.19737734,
                    0.13408123,
                    0.089881192,
                    0.05994244,
                    0.03922822,
                    0.024830527,
                    0.01500486,
                    0.0086087212,
                    0.0046768185,
                    0.0023672971,
                    0.0010796579,
                    4.1258063E-4,
                    1.2753006E-4,
                    2.8586831E-5,
                    3.4015356E-6
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0073037766,
                    0.0065425542,
                    0.0053766801,
                    0.0039244775,
                    0.0024873512,
                    0.0013162212,
                    5.8705365E-4,
                    2.1023522E-4,
                    5.9095428E-5,
                    1.2015699E-5,
                    1.7256909E-6,
                    1.478167E-7,
                    4.5344385E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.19025542,
                    0.17714014,
                    0.15930409,
                    0.13810674,
                    0.11561362,
                    0.092955534,
                    0.072731523,
                    0.055225149,
                    0.040954746,
                    0.029314823,
                    0.019980334,
                    0.012827509,
                    0.0077324359,
                    0.0043688875,
                    0.0022762878,
                    0.0010578415,
                    4.088409E-4,
                    1.2714751E-4,
                    2.8569165E-5,
                    3.4010254E-6
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.753692,
                    0.56090194,
                    0.39470024,
                    0.2624977,
                    0.16644054,
                    0.09981529,
                    0.058379413,
                    0.032863765,
                    0.017992929,
                    0.0094246961,
                    0.0046426278,
                    0.0021032106,
                    8.5482583E-4,
                    3.031038E-4,
                    9.0426438E-5,
                    2.1812064E-5,
                    3.7394576E-6,
                    3.8252067E-7,
                    1.7664415E-8,
                    5.1011581E-10
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.003063187,
                    0.002992029,
                    0.0029053432,
                    0.0027876238,
                    0.0026096072,
                    0.0023204814,
                    0.0019054734,
                    0.0013833567,
                    8.6537472E-4,
                    4.5580876E-4,
                    2.0041012E-4,
                    7.2699697E-5,
                    2.1157949E-5,
                    4.7617109E-6,
                    5.7011282E-7,
                    2.2734616E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0027369289,
                    0.0017799896,
                    0.0011064356,
                    6.6274975E-4,
                    3.8599977E-4,
                    2.1333307E-4,
                    1.1307318E-4,
                    5.514622E-5,
                    2.4663935E-5,
                    9.8810229E-6,
                    3.4975301E-6,
                    1.0792616E-6,
                    2.87708E-7,
                    6.5533042E-8,
                    1.2686287E-8,
                    2.1125174E-9,
                    2.8045659E-10,
                    2.8667289E-11,
                    1.8621628E-12,
                    3.918403E-14
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0031967436,
                    0.0029742454,
                    0.0025646824,
                    0.0019791671,
                    0.0013335481,
                    7.5647776E-4,
                    3.6469522E-4,
                    1.4353979E-4,
                    4.5631709E-5,
                    1.0995876E-5,
                    1.9315654E-6,
                    2.1415345E-7,
                    9.2456734E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "1.0 s",
            "value": "SA1P0"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.77433559,
                    0.58753287,
                    0.42987436,
                    0.30428559,
                    0.2106452,
                    0.14218963,
                    0.09597642,
                    0.064051654,
                    0.042342598,
                    0.027239,
                    0.016836777,
                    0.0099298384,
                    0.0055725134,
                    0.002942775,
                    0.0014144844,
                    5.9340881E-4,
                    2.0177402E-4,
                    5.3067865E-5,
                    8.6655531E-6,
                    6.2241012E-7
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0069442644,
                    0.0059690338,
                    0.0046287531,
                    0.0031377383,
                    0.0018242171,
                    8.7411435E-4,
                    3.4986283E-4,
                    1.0988101E-4,
                    2.5838973E-5,
                    4.2391548E-6,
                    4.5193902E-7,
                    2.3797532E-8,
                    2.4539427E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.18193891,
                    0.16549104,
                    0.14499262,
                    0.122172,
                    0.099326893,
                    0.077676449,
                    0.059418491,
                    0.044184089,
                    0.031950615,
                    0.022129555,
                    0.014523377,
                    0.0089866923,
                    0.005234353,
                    0.0028392592,
                    0.0013885381,
                    5.8831613E-4,
                    2.0112362E-4,
                    5.302138E-5,
                    8.663565E-6,
                    6.2238058E-7
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.57749627,
                    0.40915361,
                    0.27437214,
                    0.17415713,
                    0.10569185,
                    0.060772171,
                    0.03413689,
                    0.018379961,
                    0.0095485267,
                    0.0046895179,
                    0.0021367158,
                    8.8231399E-4,
                    3.2176119E-4,
                    1.0037508E-4,
                    2.5666261E-5,
                    5.0922627E-6,
                    6.5035181E-7,
                    4.6482848E-8,
                    1.9880763E-9,
                    2.9539293E-11
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0030806053,
                    0.0030046307,
                    0.0029017242,
                    0.0027534197,
                    0.0025327475,
                    0.0022020417,
                    0.0017702687,
                    0.0012645801,
                    7.8218105E-4,
                    4.0648678E-4,
                    1.7414555E-4,
                    6.036329E-5,
                    1.630389E-5,
                    3.1221474E-6,
                    2.7698671E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0017727786,
                    0.0011244953,
                    6.9308427E-4,
                    4.1437336E-4,
                    2.3969827E-4,
                    1.2973084E-4,
                    6.6191443E-5,
                    3.050311E-5,
                    1.2684139E-5,
                    4.6501584E-6,
                    1.4824142E-6,
                    4.0657525E-7,
                    9.4888242E-8,
                    1.8624914E-8,
                    3.0603748E-9,
                    4.1667223E-10,
                    4.175075E-11,
                    2.780787E-12,
                    6.7499431E-14,
                    7.0870319E-17
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0031027577,
                    0.0027900579,
                    0.0022860358,
                    0.001650927,
                    0.0010297937,
                    5.3512478E-4,
                    2.3471532E-4,
                    8.263984E-5,
                    2.2752391E-5,
                    4.551005E-6,
                    6.0424073E-7,
                    3.845077E-8,
                    1.9393927E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "1.5 s",
            "value": "SA1P5"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.52711827,
                    0.38520213,
                    0.27335854,
                    0.18899554,
                    0.1288212,
                    0.086264239,
                    0.05794156,
                    0.038223673,
                    0.0246647,
                    0.015309971,
                    0.0090786258,
                    0.0051100422,
                    0.0026861234,
                    0.0012741334,
                    5.2036458E-4,
                    1.7583693E-4,
                    4.4648879E-5,
                    7.0474406E-6,
                    4.9185182E-7,
                    1.7510442E-10
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0062283261,
                    0.0049880048,
                    0.0035344453,
                    0.002154356,
                    0.0011137746,
                    4.680014E-4,
                    1.6167701E-4,
                    4.1781993E-5,
                    7.7163686E-6,
                    9.1575738E-7,
                    5.0049375E-8,
                    8.104197E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.16458969,
                    0.14366302,
                    0.12047248,
                    0.097175781,
                    0.075994546,
                    0.057507626,
                    0.042691419,
                    0.030562574,
                    0.021024492,
                    0.013726173,
                    0.00846453,
                    0.0049033952,
                    0.002627837,
                    0.0012607994,
                    5.179782E-4,
                    1.7552208E-4,
                    4.4622035E-5,
                    7.0461608E-6,
                    4.9183452E-7,
                    1.7510318E-10
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.34941305,
                    0.23056901,
                    0.14435269,
                    0.085670601,
                    0.048636857,
                    0.026017661,
                    0.013480679,
                    0.0065789898,
                    0.0030403769,
                    0.0013004728,
                    5.0484628E-4,
                    1.7353648E-4,
                    5.1242814E-5,
                    1.2500207E-5,
                    2.355447E-6,
                    3.1480654E-7,
                    2.6841916E-8,
                    1.2797509E-9,
                    1.729506E-11,
                    1.2417464E-15
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0030399865,
                    0.0029424635,
                    0.0027969051,
                    0.002582716,
                    0.0022885305,
                    0.0019031519,
                    0.0014613812,
                    9.9335361E-4,
                    5.7990088E-4,
                    2.7985123E-4,
                    1.0873906E-4,
                    3.3021011E-5,
                    7.0264031E-6,
                    8.3093297E-7,
                    3.054751E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    9.6227431E-4,
                    6.0593515E-4,
                    3.7111844E-4,
                    2.1801509E-4,
                    1.2157307E-4,
                    6.1897939E-5,
                    2.9058449E-5,
                    1.2035718E-5,
                    4.4091726E-6,
                    1.3949028E-6,
                    3.7797508E-7,
                    8.742586E-8,
                    1.7167192E-8,
                    2.8548454E-9,
                    3.8652932E-10,
                    3.9186198E-11,
                    2.3050551E-12,
                    4.0273106E-14,
                    9.6573312E-18,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0028849423,
                    0.0024337044,
                    0.0018309006,
                    0.0011940688,
                    6.6591363E-4,
                    3.0590114E-4,
                    1.1734531E-4,
                    3.4937331E-5,
                    7.8047834E-6,
                    1.1627027E-6,
                    8.247574E-8,
                    1.1996231E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "2.0 s",
            "value": "SA2P0"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.36978942,
                    0.26518121,
                    0.18572911,
                    0.12763077,
                    0.087130762,
                    0.058661432,
                    0.039426354,
                    0.025761291,
                    0.016294235,
                    0.0098340654,
                    0.0056185677,
                    0.0029918811,
                    0.0014402393,
                    6.0072743E-4,
                    2.0696812E-4,
                    5.619105E-5,
                    9.8317103E-6,
                    8.3870813E-7,
                    1.4661315E-9,
                    0.0
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0053413018,
                    0.0039326357,
                    0.0025167663,
                    0.0013667166,
                    6.241479E-4,
                    2.2845459E-4,
                    6.711583E-5,
                    1.432014E-5,
                    2.1510052E-6,
                    1.7712813E-7,
                    6.0504519E-9,
                    8.8524742E-12,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.14457466,
                    0.12164676,
                    0.098650671,
                    0.077443145,
                    0.059374279,
                    0.044132276,
                    0.032011977,
                    0.022189695,
                    0.014684008,
                    0.0091834061,
                    0.0053909524,
                    0.0029255945,
                    0.0014252388,
                    5.9817415E-4,
                    2.066102E-4,
                    5.6153366E-5,
                    9.829622E-6,
                    8.3866892E-7,
                    1.4661224E-9,
                    0.0
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.21363982,
                    0.13430196,
                    0.080245513,
                    0.045441946,
                    0.024556662,
                    0.012405358,
                    0.0060137578,
                    0.0027098761,
                    0.0011419935,
                    4.3937091E-4,
                    1.5146823E-4,
                    4.5595781E-5,
                    1.1595879E-5,
                    2.363361E-6,
                    3.5786565E-7,
                    3.7680367E-8,
                    2.0882377E-9,
                    3.9200916E-11,
                    9.1076586E-15,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0030099428,
                    0.0028901041,
                    0.0027049398,
                    0.0024406479,
                    0.0021039919,
                    0.0016983402,
                    0.0012639579,
                    8.2774785E-4,
                    4.6156748E-4,
                    2.1028782E-4,
                    7.6000328E-5,
                    2.0664957E-5,
                    3.4003042E-6,
                    1.893469E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    6.54562E-4,
                    4.0932291E-4,
                    2.4680826E-4,
                    1.408967E-4,
                    7.5225728E-5,
                    3.6045123E-5,
                    1.5699768E-5,
                    5.9341009E-6,
                    1.9525937E-6,
                    5.4528495E-7,
                    1.2903544E-7,
                    2.5832116E-8,
                    4.3122602E-9,
                    5.7420059E-10,
                    5.390943E-11,
                    2.9607237E-12,
                    4.0687209E-14,
                    2.0735485E-18,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.0025,
                    0.00375,
                    0.00562,
                    0.00843,
                    0.0126,
                    0.019,
                    0.0284,
                    0.0427,
                    0.064,
                    0.096,
                    0.144,
                    0.216,
                    0.324,
                    0.486,
                    0.729,
                    1.09,
                    1.64,
                    2.46,
                    3.69,
                    5.54
                ],
                "ys": [
                    0.0025691285,
                    0.0020004216,
                    0.0013644076,
                    7.9741352E-4,
                    3.9645545E-4,
                    1.6095761E-4,
                    5.3845145E-5,
                    1.3717141E-5,
                    2.5629821E-6,
                    2.7824227E-7,
                    1.1646906E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "3.0 s",
            "value": "SA3P0"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    0.25804614,
                    0.18415004,
                    0.12933717,
                    0.089626595,
                    0.061847634,
                    0.042159215,
                    0.028338934,
                    0.018574376,
                    0.011647242,
                    0.0069362294,
                    0.0038652034,
                    0.0019448545,
                    8.6646737E-4,
                    3.2267013E-4,
                    9.7249297E-5,
                    2.141267E-5,
                    2.729721E-6,
                    1.0340043E-7,
                    7.4972013E-10,
                    0.0
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    0.0045690424,
                    0.0031459284,
                    0.0018730131,
                    9.4015474E-4,
                    3.9404011E-4,
                    1.322259E-4,
                    3.4596759E-5,
                    6.7325973E-6,
                    8.0030527E-7,
                    4.1569808E-8,
                    6.4911243E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    0.12355843,
                    0.10117729,
                    0.080539313,
                    0.062472953,
                    0.047380422,
                    0.034769627,
                    0.024636731,
                    0.016765626,
                    0.010824898,
                    0.0066029644,
                    0.0037508279,
                    0.0019142862,
                    8.6069697E-4,
                    3.2200093E-4,
                    9.7170837E-5,
                    2.140628E-5,
                    2.729469E-6,
                    1.0339917E-7,
                    7.4972013E-10,
                    0.0
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    0.12424257,
                    0.075070991,
                    0.043092376,
                    0.023224137,
                    0.01178758,
                    0.0055569674,
                    0.0024625711,
                    0.0010248918,
                    3.92567E-4,
                    1.3862273E-4,
                    4.4543383E-5,
                    1.2438551E-5,
                    2.9895598E-6,
                    5.6921074E-7,
                    7.8457868E-8,
                    6.3893633E-9,
                    2.5197576E-10,
                    1.2559257E-12,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    0.0029868093,
                    0.0028454123,
                    0.0026303324,
                    0.0023358314,
                    0.001981361,
                    0.001583033,
                    0.0011678203,
                    7.6761736E-4,
                    4.2719134E-4,
                    1.9435371E-4,
                    6.9796412E-5,
                    1.8124381E-5,
                    2.7801659E-6,
                    9.9940014E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    4.3442244E-4,
                    2.6755416E-4,
                    1.5710411E-4,
                    8.5644898E-5,
                    4.2731378E-5,
                    1.8906015E-5,
                    7.3916711E-6,
                    2.5144398E-6,
                    7.1635335E-7,
                    1.7161284E-7,
                    3.4329131E-8,
                    5.416443E-9,
                    6.678706E-10,
                    5.4367658E-11,
                    2.4832782E-12,
                    2.7565841E-14,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95,
                    4.43
                ],
                "ys": [
                    0.0022548647,
                    0.0016428596,
                    0.0010450294,
                    5.678743E-4,
                    2.6149895E-4,
                    9.8455476E-5,
                    2.9823588E-5,
                    6.9942316E-6,
                    1.0693582E-6,
                    7.5423264E-8,
                    7.6220786E-10,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "4.0 s",
            "value": "SA4P0"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    0.24125301,
                    0.17329357,
                    0.12286482,
                    0.086547913,
                    0.060515499,
                    0.042031736,
                    0.02861652,
                    0.019060118,
                    0.012286529,
                    0.0074870235,
                    0.004241572,
                    0.002177029,
                    9.6771034E-4,
                    3.6528975E-4,
                    1.1023378E-4,
                    2.5072278E-5,
                    3.5304564E-6,
                    2.1014495E-7,
                    2.9724246E-9,
                    7.4331892E-12
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    0.0046793867,
                    0.0032515341,
                    0.0019590911,
                    0.0010096932,
                    4.3500725E-4,
                    1.5466231E-4,
                    4.32559E-5,
                    9.3383918E-6,
                    1.3881833E-6,
                    1.0552551E-7,
                    2.8817693E-9,
                    1.4982303E-12,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    0.12089715,
                    0.099006062,
                    0.079087754,
                    0.061946528,
                    0.047369125,
                    0.03521719,
                    0.025156923,
                    0.017300787,
                    0.01141004,
                    0.0070869358,
                    0.0040837243,
                    0.002126561,
                    9.5588427E-4,
                    3.6362036E-4,
                    1.1014038E-4,
                    2.5065216E-5,
                    3.5301376E-6,
                    2.1014202E-7,
                    2.9724206E-9,
                    7.4331892E-12
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    0.10993749,
                    0.066184487,
                    0.037863696,
                    0.020459827,
                    0.010292692,
                    0.0048339172,
                    0.0020910839,
                    8.4708269E-4,
                    3.2222498E-4,
                    1.1317531E-4,
                    3.6807177E-5,
                    1.0813385E-5,
                    2.6889023E-6,
                    5.4889705E-7,
                    7.844563E-8,
                    7.0627246E-9,
                    3.1876515E-10,
                    2.9292349E-12,
                    4.0456612E-15,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    0.0029940365,
                    0.0028745088,
                    0.0026895724,
                    0.0024234856,
                    0.0020785881,
                    0.0016873966,
                    0.0012790221,
                    8.9034987E-4,
                    5.5025533E-4,
                    2.8643245E-4,
                    1.2099433E-4,
                    3.9648818E-5,
                    9.1365597E-6,
                    1.1204604E-6,
                    1.4953012E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    4.1775031E-4,
                    2.5966405E-4,
                    1.5394415E-4,
                    8.5403541E-5,
                    4.3071057E-5,
                    1.9506078E-5,
                    7.694256E-6,
                    2.6420683E-6,
                    7.7624778E-7,
                    1.8848517E-7,
                    3.7327678E-8,
                    5.7605245E-9,
                    6.1559158E-10,
                    3.8898933E-11,
                    9.6991361E-13,
                    2.639186E-15,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    0.00133,
                    0.002,
                    0.003,
                    0.00449,
                    0.00674,
                    0.0101,
                    0.0152,
                    0.0228,
                    0.0341,
                    0.0512,
                    0.0768,
                    0.115,
                    0.173,
                    0.259,
                    0.389,
                    0.583,
                    0.875,
                    1.31,
                    1.97,
                    2.95
                ],
                "ys": [
                    0.0023271984,
                    0.0017173169,
                    0.0011107666,
                    6.2297627E-4,
                    2.9701544E-4,
                    1.1906393E-4,
                    3.854108E-5,
                    9.9179236E-6,
                    1.8442755E-6,
                    1.859049E-7,
                    5.9118709E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "5.0 s",
            "value": "SA5P0"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    0.2170548,
                    0.15701209,
                    0.1123325,
                    0.079990064,
                    0.056579551,
                    0.039731906,
                    0.027353491,
                    0.018442343,
                    0.012052609,
                    0.0074707105,
                    0.0042880633,
                    0.0022111732,
                    9.8553621E-4,
                    3.762445E-4,
                    1.1332438E-4,
                    2.6437263E-5,
                    4.0371856E-6,
                    2.985835E-7,
                    6.1327918E-9,
                    2.1148286E-10
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    0.0043979177,
                    0.0030016657,
                    0.0017831208,
                    9.1267874E-4,
                    3.9491771E-4,
                    1.431077E-4,
                    4.1748702E-5,
                    9.6202052E-6,
                    1.5879111E-6,
                    1.5032613E-7,
                    5.7517637E-9,
                    1.6503097E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    0.11468546,
                    0.093799817,
                    0.07507555,
                    0.059036853,
                    0.045348621,
                    0.033874212,
                    0.024338537,
                    0.016859566,
                    0.01121109,
                    0.007041084,
                    0.0040908509,
                    0.0021348763,
                    9.6225183E-4,
                    3.7107697E-4,
                    1.1284735E-4,
                    2.6429681E-5,
                    4.0367847E-6,
                    2.9857748E-7,
                    6.1327661E-9,
                    2.1148286E-10
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    0.092387141,
                    0.05550104,
                    0.031638509,
                    0.017009757,
                    0.0085111875,
                    0.0039755455,
                    0.001710659,
                    6.890664E-4,
                    2.6105617E-4,
                    9.2469051E-5,
                    3.0561941E-5,
                    9.1635489E-6,
                    2.3552123E-6,
                    5.0589784E-7,
                    7.564899E-8,
                    7.5826757E-9,
                    4.0089115E-10,
                    6.0130792E-12,
                    2.567931E-14,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    0.0029628987,
                    0.0028396944,
                    0.0026462961,
                    0.0023644916,
                    0.0020018628,
                    0.0016047883,
                    0.0012162808,
                    8.710295E-4,
                    5.7603025E-4,
                    3.3658653E-4,
                    1.6660428E-4,
                    6.7129224E-5,
                    2.0928779E-5,
                    4.6616186E-6,
                    4.0138715E-7,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    3.8174096E-4,
                    2.3597405E-4,
                    1.3867254E-4,
                    7.6036039E-5,
                    3.7870471E-5,
                    1.6949424E-5,
                    6.612678E-6,
                    2.2410044E-6,
                    6.4659446E-7,
                    1.5410922E-7,
                    2.927517E-8,
                    4.1602695E-9,
                    3.8432211E-10,
                    1.804317E-11,
                    1.7737975E-13,
                    1.2204749E-17,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    9.99E-4,
                    0.0015,
                    0.00225,
                    0.00337,
                    0.00506,
                    0.00758,
                    0.0114,
                    0.0171,
                    0.0256,
                    0.0384,
                    0.0576,
                    0.0864,
                    0.13,
                    0.194,
                    0.292,
                    0.437,
                    0.656,
                    0.984,
                    1.48,
                    2.21
                ],
                "ys": [
                    0.0022396424,
                    0.0016339023,
                    0.0010503469,
                    5.9024712E-4,
                    2.8509154E-4,
                    1.1730304E-4,
                    3.9652879E-5,
                    1.0819761E-5,
                    2.1982593E-6,
                    2.6656528E-7,
                    1.1231858E-8,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "7.5 s",
            "value": "SA7P5"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    0.20625825,
                    0.15201409,
                    0.11128364,
                    0.080466699,
                    0.058281791,
                    0.041810074,
                    0.029462409,
                    0.020318928,
                    0.013567871,
                    0.0086469385,
                    0.0051245233,
                    0.0027344783,
                    0.0012710254,
                    4.9839115E-4,
                    1.577955E-4,
                    3.8077111E-5,
                    6.4010582E-6,
                    5.9476871E-7,
                    1.9349769E-8,
                    1.1818537E-9
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    0.0044162494,
                    0.0030831885,
                    0.0019170114,
                    0.0010374781,
                    4.9890138E-4,
                    2.0906298E-4,
                    7.5207207E-5,
                    2.2992079E-5,
                    5.682394E-6,
                    1.0561975E-6,
                    1.1825129E-7,
                    5.4447308E-9,
                    2.6002921E-11,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    0.11308531,
                    0.093360544,
                    0.075754284,
                    0.060119812,
                    0.046954015,
                    0.035662076,
                    0.02613264,
                    0.018453019,
                    0.012476171,
                    0.0079969069,
                    0.0047533086,
                    0.0025433419,
                    0.0011863891,
                    4.6740454E-4,
                    1.4905507E-4,
                    3.6568109E-5,
                    6.3277826E-6,
                    5.9474294E-7,
                    1.9349422E-8,
                    1.1818537E-9
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    0.082985511,
                    0.050632438,
                    0.029513121,
                    0.016018955,
                    0.0082422465,
                    0.0039470018,
                    0.0017461656,
                    7.1789988E-4,
                    2.7341031E-4,
                    9.7132404E-5,
                    3.2070232E-5,
                    9.7270333E-6,
                    2.6233492E-6,
                    5.8762638E-7,
                    1.0009044E-7,
                    1.2104617E-8,
                    8.679908E-10,
                    2.5768879E-11,
                    3.4700477E-13,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    0.0029989144,
                    0.0028826783,
                    0.0027056158,
                    0.0024457057,
                    0.0021224786,
                    0.0017649306,
                    0.001411352,
                    0.0010892522,
                    8.0169497E-4,
                    5.4923266E-4,
                    3.3861021E-4,
                    1.8137378E-4,
                    8.201245E-5,
                    3.0398963E-5,
                    8.6403383E-6,
                    1.4968967E-6,
                    7.2407582E-8,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    4.1938836E-4,
                    2.6038383E-4,
                    1.5475274E-4,
                    8.4758173E-5,
                    4.2920673E-5,
                    1.9468271E-5,
                    7.7401632E-6,
                    2.6710663E-6,
                    7.7814741E-7,
                    1.8867119E-7,
                    3.6626005E-8,
                    5.2860032E-9,
                    5.0581404E-10,
                    2.2656898E-11,
                    2.4211695E-13,
                    3.9983085E-17,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738,
                    1.11
                ],
                "ys": [
                    0.0023528724,
                    0.0017948603,
                    0.0012388535,
                    7.5998945E-4,
                    4.2122864E-4,
                    2.0753491E-4,
                    8.9303462E-5,
                    3.3093363E-5,
                    1.0133689E-5,
                    2.4216035E-6,
                    3.7939788E-7,
                    2.4832337E-8,
                    2.7496137E-13,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        },
        {
            "imt": {
            "display": "10.0 s",
            "value": "SA10P0"
            },
            "data": [
            {
                "component": "Total",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    0.18353596,
                    0.13633359,
                    0.10046487,
                    0.073975118,
                    0.053821336,
                    0.038970257,
                    0.027699682,
                    0.01917593,
                    0.012870714,
                    0.0082322772,
                    0.0048990966,
                    0.0026243319,
                    0.0012235498,
                    4.8099718E-4,
                    1.5359856E-4,
                    3.7282813E-5,
                    6.1096678E-6,
                    4.6469398E-7,
                    1.1485807E-8,
                    7.4770642E-10
                ]
                }
            },
            {
                "component": "Fault",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    0.0040291773,
                    0.0027782745,
                    0.0017219026,
                    9.6836633E-4,
                    4.858862E-4,
                    2.2384354E-4,
                    9.2607144E-5,
                    3.3511238E-5,
                    1.0320683E-5,
                    2.5367139E-6,
                    4.3293698E-7,
                    3.9218706E-8,
                    1.164309E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "FaultSystem",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    0.1058263,
                    0.087257202,
                    0.070664019,
                    0.056404492,
                    0.043855011,
                    0.033320247,
                    0.024465085,
                    0.017263483,
                    0.011682909,
                    0.0074729559,
                    0.0044206055,
                    0.0023422917,
                    0.0010746272,
                    4.1271941E-4,
                    1.2726815E-4,
                    2.9244841E-5,
                    4.5094696E-6,
                    3.6232926E-7,
                    1.1485713E-8,
                    7.4770642E-10
                ]
                }
            },
            {
                "component": "Grid",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    0.067964682,
                    0.041407388,
                    0.023996962,
                    0.013263054,
                    0.0068179492,
                    0.0033329365,
                    0.0015201981,
                    6.3983176E-4,
                    2.4850175E-4,
                    8.7929152E-5,
                    2.8109007E-5,
                    7.9994574E-6,
                    2.0087424E-6,
                    4.2188054E-7,
                    6.792296E-8,
                    7.6096912E-9,
                    4.8255224E-10,
                    1.1394943E-11,
                    9.4070338E-14,
                    0.0
                ]
                }
            },
            {
                "component": "Interface",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    0.0030199588,
                    0.0029123679,
                    0.0027450157,
                    0.0025052773,
                    0.0021910123,
                    0.0018468035,
                    0.0015053143,
                    0.0011905909,
                    9.1160275E-4,
                    6.6376405E-4,
                    4.4882246E-4,
                    2.7384937E-4,
                    1.4690551E-4,
                    6.785585E-5,
                    2.6262492E-5,
                    8.0303625E-6,
                    1.5997157E-6,
                    1.0235333E-7,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Slab",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    4.6781621E-4,
                    2.9300534E-4,
                    1.7513598E-4,
                    9.8695491E-5,
                    5.0300079E-5,
                    2.3341854E-5,
                    9.5566116E-6,
                    3.3757276E-6,
                    1.0159825E-6,
                    2.536551E-7,
                    5.1204538E-8,
                    7.7271223E-9,
                    7.840664E-10,
                    3.8211063E-11,
                    4.860564E-13,
                    2.3016991E-16,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            },
            {
                "component": "Zone",
                "values": {
                "xs": [
                    3.33E-4,
                    4.99E-4,
                    7.49E-4,
                    0.00112,
                    0.00169,
                    0.00253,
                    0.00379,
                    0.00569,
                    0.00853,
                    0.0128,
                    0.0192,
                    0.0288,
                    0.0432,
                    0.0648,
                    0.0972,
                    0.146,
                    0.219,
                    0.328,
                    0.492,
                    0.738
                ],
                "ys": [
                    0.0022280278,
                    0.0016853548,
                    0.0011618316,
                    7.3523229E-4,
                    4.2117765E-4,
                    2.2308468E-4,
                    1.0692056E-4,
                    4.5138085E-5,
                    1.6364356E-5,
                    4.8376775E-6,
                    1.0755294E-6,
                    1.4436431E-7,
                    6.3738581E-9,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0
                ]
                }
            }
            ]
        }
        ]
    },
    "metadata": {
        "repositories": [
        {
            "projectName": "nshmp-haz",
            "url": "https://code.usgs.gov/ghsc/nshmp/nshmp-haz",
            "version": "2.0.9-23-gce9c0d9",
            "branchName": "production",
            "commitDistance": 23,
            "gitHash": "ce9c0d9bc9",
            "gitHashFull": "ce9c0d9bc978f0a5dc9210af89753bc7015d70ff",
            "isCleanTag": False,
            "lastTag": "2.0.9"
        },
        {
            "projectName": "nshmp-lib",
            "url": "https://code.usgs.gov/ghsc/nshmp/nshmp-lib",
            "version": "1.2.10",
            "branchName": None,
            "commitDistance": 0,
            "gitHash": "8d24c78c38",
            "gitHashFull": "8d24c78c38c7abd21ca320b0b2702c3f9a856f5c",
            "isCleanTag": True,
            "lastTag": "1.2.10"
        },
        {
            "projectName": "nshmp-ws-utils",
            "url": "https://code.usgs.gov/ghsc/nshmp/nshmp-ws-utils",
            "version": "0.3.11",
            "branchName": None,
            "commitDistance": 0,
            "gitHash": "6c35f8214f",
            "gitHashFull": "6c35f8214fed7cf94b80b99b63ed1733a1431c76",
            "isCleanTag": True,
            "lastTag": "0.3.11"
        }
        ]
    }
    }

    mock_response = MockResponse(
        headers={'Content-Type' :'application/json'},
        status_code=200,
        json_=mock_res
    )

    return mock_response


def mock_seismic_USGS_area_response(api_url) :

 
    mock_res = {
            "name": "Hazard Curves",
            "date": "2023-01-19T19:53:18Z",
            "status": "success",
            "url": "/ws/nshmp/conus-2018/dynamic/hazard/-117.98247232675867/33.65941377740121/199",
            "request": {
                "truncate": False,
                "maxdir": False,
                "imts": [
                "PGV",
                "PGA",
                "SA0P01",
                "SA0P02",
                "SA0P03",
                "SA0P05",
                "SA0P075",
                "SA0P1",
                "SA0P15",
                "SA0P2",
                "SA0P25",
                "SA0P3",
                "SA0P4",
                "SA0P5",
                "SA0P75",
                "SA1P0",
                "SA1P5",
                "SA2P0",
                "SA3P0",
                "SA4P0",
                "SA5P0",
                "SA7P5",
                "SA10P0"
                ],
                "longitude": -117.98247,
                "latitude": 33.659414,
                "vs30": 199.0
            },
            "response": {
                "metadata": {
                "server": {
                    "threads": 48,
                    "timer": "2.872 s",
                    "version": "2.0.9-23-gce9c0d9"
                },
                "xlabel": "Ground Motion (g)",
                "ylabel": "Annual Frequency of Exceedance"
                },
                "hazardCurves": [
                {
                    "imt": {
                    "display": "PGA",
                    "value": "PGA"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            1.0272611,
                            0.86349121,
                            0.69820126,
                            0.53996716,
                            0.3991268,
                            0.28269454,
                            0.19230419,
                            0.12455999,
                            0.076227797,
                            0.043002444,
                            0.021867462,
                            0.0095647944,
                            0.0036645966,
                            0.0011708022,
                            3.0913896E-4,
                            6.2152351E-5,
                            8.571773E-6,
                            6.4067328E-7,
                            1.4762342E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            0.17911298,
                            0.16697082,
                            0.14932067,
                            0.1279604,
                            0.10602587,
                            0.085874074,
                            0.067887149,
                            0.0511025,
                            0.035480584,
                            0.021847918,
                            0.011637996,
                            0.0051930954,
                            0.0020353612,
                            6.8790955E-4,
                            2.0026821E-4,
                            4.5562817E-5,
                            7.1339401E-6,
                            6.0528988E-7,
                            1.4762066E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            0.84636851,
                            0.69506123,
                            0.54781126,
                            0.41131549,
                            0.29270623,
                            0.19662409,
                            0.12433462,
                            0.073430009,
                            0.040740548,
                            0.021153719,
                            0.010229455,
                            0.0043716989,
                            0.0016292354,
                            4.8289268E-4,
                            1.0887075E-4,
                            1.6589534E-5,
                            1.437833E-6,
                            3.5383393E-8,
                            2.764897E-13,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            0.0017795944,
                            0.0014591529,
                            0.0010693364,
                            6.9127028E-4,
                            3.9470925E-4,
                            1.9638303E-4,
                            8.2417252E-5,
                            2.7486151E-5,
                            6.665476E-6,
                            8.0654854E-7,
                            1.1421896E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "PGV",
                    "value": "PGV"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.237,
                            0.355,
                            0.532,
                            0.798,
                            1.19,
                            1.8,
                            2.69,
                            4.04,
                            6.06,
                            9.09,
                            13.6,
                            20.5,
                            30.7,
                            46.0,
                            69.0,
                            103.0,
                            155.0,
                            233.0,
                            349.0,
                            525.0
                        ],
                        "ys": [
                            1.075902,
                            0.8963566,
                            0.71604632,
                            0.54752866,
                            0.4027004,
                            0.28047233,
                            0.18962622,
                            0.12255097,
                            0.075723028,
                            0.044105217,
                            0.023952607,
                            0.011799177,
                            0.0053877149,
                            0.0022807884,
                            9.1627889E-4,
                            3.5412441E-4,
                            1.209882E-4,
                            3.4782131E-5,
                            8.0317203E-6,
                            1.3456503E-6
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.237,
                            0.355,
                            0.532,
                            0.798,
                            1.19,
                            1.8,
                            2.69,
                            4.04,
                            6.06,
                            9.09,
                            13.6,
                            20.5,
                            30.7,
                            46.0,
                            69.0,
                            103.0,
                            155.0,
                            233.0,
                            349.0,
                            525.0
                        ],
                        "ys": [
                            0.18820945,
                            0.18443738,
                            0.17596799,
                            0.16125816,
                            0.14110656,
                            0.11663393,
                            0.092048887,
                            0.068414106,
                            0.047494988,
                            0.030286822,
                            0.017582629,
                            0.0091180461,
                            0.0043516033,
                            0.001932768,
                            8.2022177E-4,
                            3.3315312E-4,
                            1.1780185E-4,
                            3.4466796E-5,
                            8.0113867E-6,
                            1.3447003E-6
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.237,
                            0.355,
                            0.532,
                            0.798,
                            1.19,
                            1.8,
                            2.69,
                            4.04,
                            6.06,
                            9.09,
                            13.6,
                            20.5,
                            30.7,
                            46.0,
                            69.0,
                            103.0,
                            155.0,
                            233.0,
                            349.0,
                            525.0
                        ],
                        "ys": [
                            0.88535041,
                            0.70985029,
                            0.53828095,
                            0.38475325,
                            0.26032597,
                            0.1627673,
                            0.096666052,
                            0.053412482,
                            0.027728987,
                            0.013538951,
                            0.0062476909,
                            0.0026418857,
                            0.0010271101,
                            3.4677915E-4,
                            9.6003619E-5,
                            2.0971294E-5,
                            3.1863554E-6,
                            3.1533429E-7,
                            2.0333573E-8,
                            9.500036E-10
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.237,
                            0.355,
                            0.532,
                            0.798,
                            1.19,
                            1.8,
                            2.69,
                            4.04,
                            6.06,
                            9.09,
                            13.6,
                            20.5,
                            30.7,
                            46.0,
                            69.0,
                            103.0,
                            155.0,
                            233.0,
                            349.0,
                            525.0
                        ],
                        "ys": [
                            0.0023421743,
                            0.0020689327,
                            0.0017973802,
                            0.0015172412,
                            0.0012678663,
                            0.0010710982,
                            9.1128443E-4,
                            7.2437992E-4,
                            4.9905316E-4,
                            2.7944419E-4,
                            1.2228693E-4,
                            3.9245138E-5,
                            9.0014991E-6,
                            1.2412772E-6,
                            5.3497984E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.01 s",
                    "value": "SA0P01"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            1.0288586,
                            0.86521428,
                            0.6999414,
                            0.54161177,
                            0.40057965,
                            0.28390053,
                            0.19325678,
                            0.12528196,
                            0.076755582,
                            0.043369552,
                            0.022102322,
                            0.0096938441,
                            0.0037253487,
                            0.0011949025,
                            3.172938E-4,
                            6.4428129E-5,
                            9.0508067E-6,
                            7.0620567E-7,
                            1.9872736E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            0.17918014,
                            0.1671007,
                            0.14951038,
                            0.12817996,
                            0.10623762,
                            0.086059157,
                            0.068053447,
                            0.051266779,
                            0.035645677,
                            0.021997429,
                            0.011750292,
                            0.0052589313,
                            0.0020665167,
                            7.0042703E-4,
                            2.0477368E-4,
                            4.6981382E-5,
                            7.4775945E-6,
                            6.6208372E-7,
                            1.9872007E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            0.84789885,
                            0.69665442,
                            0.54936169,
                            0.41274054,
                            0.29394733,
                            0.19764499,
                            0.12512091,
                            0.073987691,
                            0.041103239,
                            0.021371316,
                            0.010352019,
                            0.0044349129,
                            0.0016588319,
                            4.9447545E-4,
                            1.1252012E-4,
                            1.7446748E-5,
                            1.5732121E-6,
                            4.4121954E-8,
                            7.2895747E-13,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00233,
                            0.0035,
                            0.00524,
                            0.00786,
                            0.0118,
                            0.0177,
                            0.0265,
                            0.0398,
                            0.0597,
                            0.0896,
                            0.134,
                            0.202,
                            0.302,
                            0.454,
                            0.68,
                            1.02,
                            1.53,
                            2.3,
                            3.44,
                            5.17
                        ],
                        "ys": [
                            0.0017795944,
                            0.0014591529,
                            0.0010693364,
                            6.9127028E-4,
                            3.9470925E-4,
                            1.9638303E-4,
                            8.2417252E-5,
                            2.7486151E-5,
                            6.665476E-6,
                            8.0654854E-7,
                            1.1421896E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.02 s",
                    "value": "SA0P02"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00283,
                            0.00424,
                            0.00637,
                            0.00955,
                            0.0143,
                            0.0215,
                            0.0322,
                            0.0483,
                            0.0725,
                            0.109,
                            0.163,
                            0.245,
                            0.367,
                            0.551,
                            0.826,
                            1.24,
                            1.86,
                            2.79,
                            4.18,
                            6.27
                        ],
                        "ys": [
                            0.94562002,
                            0.78048524,
                            0.61679877,
                            0.46702338,
                            0.33889473,
                            0.23493208,
                            0.15656297,
                            0.099054933,
                            0.058530393,
                            0.031404918,
                            0.015063964,
                            0.0062128691,
                            0.002208843,
                            6.5049359E-4,
                            1.5379753E-4,
                            2.6883472E-5,
                            3.1250206E-6,
                            1.8618584E-7,
                            0.0,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00283,
                            0.00424,
                            0.00637,
                            0.00955,
                            0.0143,
                            0.0215,
                            0.0322,
                            0.0483,
                            0.0725,
                            0.109,
                            0.163,
                            0.245,
                            0.367,
                            0.551,
                            0.826,
                            1.24,
                            1.86,
                            2.79,
                            4.18,
                            6.27
                        ],
                        "ys": [
                            0.17349885,
                            0.15841427,
                            0.1384294,
                            0.11654785,
                            0.095567395,
                            0.076480542,
                            0.059269906,
                            0.043086758,
                            0.028342517,
                            0.016255713,
                            0.0080405136,
                            0.0033738602,
                            0.0012418496,
                            3.9302864E-4,
                            1.0334526E-4,
                            2.0379428E-5,
                            2.6787988E-6,
                            1.7799899E-7,
                            0.0,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00283,
                            0.00424,
                            0.00637,
                            0.00955,
                            0.0143,
                            0.0215,
                            0.0322,
                            0.0483,
                            0.0725,
                            0.109,
                            0.163,
                            0.245,
                            0.367,
                            0.551,
                            0.826,
                            1.24,
                            1.86,
                            2.79,
                            4.18,
                            6.27
                        ],
                        "ys": [
                            0.77050448,
                            0.62081555,
                            0.47750573,
                            0.34994658,
                            0.24304074,
                            0.15831965,
                            0.097242806,
                            0.055953461,
                            0.030185104,
                            0.015149053,
                            0.0070234499,
                            0.0028390089,
                            9.6699337E-4,
                            2.5746495E-4,
                            5.0452273E-5,
                            6.5040436E-6,
                            4.4622178E-7,
                            8.1868503E-9,
                            0.0,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00283,
                            0.00424,
                            0.00637,
                            0.00955,
                            0.0143,
                            0.0215,
                            0.0322,
                            0.0483,
                            0.0725,
                            0.109,
                            0.163,
                            0.245,
                            0.367,
                            0.551,
                            0.826,
                            1.24,
                            1.86,
                            2.79,
                            4.18,
                            6.27
                        ],
                        "ys": [
                            0.0016166859,
                            0.0012554226,
                            8.6364224E-4,
                            5.2894885E-4,
                            2.8658865E-4,
                            1.3188611E-4,
                            5.0262126E-5,
                            1.4713909E-5,
                            2.7726105E-6,
                            1.5253609E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.03 s",
                    "value": "SA0P03"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.87169496,
                            0.70802052,
                            0.55093576,
                            0.41185494,
                            0.29307702,
                            0.20139647,
                            0.13225589,
                            0.081888833,
                            0.047002454,
                            0.024227982,
                            0.010936105,
                            0.0042349973,
                            0.0013765124,
                            3.6397847E-4,
                            7.5392356E-5,
                            1.1425674E-5,
                            1.1102422E-6,
                            5.1804503E-8,
                            0.0,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.16684378,
                            0.14929454,
                            0.12817352,
                            0.10677411,
                            0.086618264,
                            0.068874604,
                            0.052389161,
                            0.036837287,
                            0.023152987,
                            0.012560984,
                            0.0057966595,
                            0.0022877642,
                            7.7645049E-4,
                            2.2221912E-4,
                            5.1361695E-5,
                            8.7131077E-6,
                            9.623462E-7,
                            5.1127553E-8,
                            0.0,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.70340711,
                            0.55766934,
                            0.42207843,
                            0.30468667,
                            0.20626411,
                            0.13244024,
                            0.079839311,
                            0.045044929,
                            0.023848665,
                            0.011666989,
                            0.005139445,
                            0.001947233,
                            6.0006192E-4,
                            1.4175935E-4,
                            2.4030661E-5,
                            2.7125662E-6,
                            1.4789601E-7,
                            6.7695026E-10,
                            0.0,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.0014440634,
                            0.0010566418,
                            6.8381484E-4,
                            3.9416178E-4,
                            1.9464231E-4,
                            8.1627016E-5,
                            2.7415532E-5,
                            6.6173853E-6,
                            8.0237766E-7,
                            9.5171515E-9,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.05 s",
                    "value": "SA0P05"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.87350612,
                            0.71536473,
                            0.56346025,
                            0.42802595,
                            0.31071901,
                            0.21831002,
                            0.1469106,
                            0.093496749,
                            0.055390366,
                            0.029601673,
                            0.013869176,
                            0.0055516255,
                            0.001856487,
                            5.0623033E-4,
                            1.1082498E-4,
                            1.9391638E-5,
                            2.5603446E-6,
                            1.9565989E-7,
                            2.9758247E-9,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.16544062,
                            0.14802064,
                            0.12750193,
                            0.10696693,
                            0.087735141,
                            0.070837989,
                            0.055066445,
                            0.039906062,
                            0.026075358,
                            0.014793354,
                            0.007121407,
                            0.0028902832,
                            9.9058064E-4,
                            2.8323434E-4,
                            6.6376264E-5,
                            1.2518647E-5,
                            1.8115041E-6,
                            1.6200014E-7,
                            2.9758173E-9,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.70669507,
                            0.56636676,
                            0.43534391,
                            0.32071718,
                            0.22282277,
                            0.14740814,
                            0.091824077,
                            0.053586368,
                            0.02931463,
                            0.014808319,
                            0.0067477693,
                            0.0026613423,
                            8.6590631E-4,
                            2.2299599E-4,
                            4.4448711E-5,
                            6.8729909E-6,
                            7.4884054E-7,
                            3.3659758E-8,
                            7.4085873E-15,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.001370431,
                            9.7733272E-4,
                            6.144145E-4,
                            3.4184281E-4,
                            1.611012E-4,
                            6.3889588E-5,
                            2.0075248E-5,
                            4.319025E-6,
                            3.7796496E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.075 s",
                    "value": "SA0P075"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.93032106,
                            0.77875995,
                            0.62940105,
                            0.49185891,
                            0.36817945,
                            0.26690988,
                            0.18578091,
                            0.12299707,
                            0.076574614,
                            0.043626725,
                            0.022082376,
                            0.0096262744,
                            0.0035271416,
                            0.0010643909,
                            2.6382118E-4,
                            5.4821209E-5,
                            9.9098711E-6,
                            1.3839404E-6,
                            9.7652281E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.16805255,
                            0.15220899,
                            0.13301218,
                            0.11319127,
                            0.094208383,
                            0.077517641,
                            0.062120795,
                            0.047209658,
                            0.032977831,
                            0.020363953,
                            0.010767052,
                            0.0047764283,
                            0.001769438,
                            5.4343148E-4,
                            1.3842195E-4,
                            2.9596123E-5,
                            5.7059736E-6,
                            9.0766099E-7,
                            7.9692769E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.76118204,
                            0.62573251,
                            0.49581017,
                            0.37830081,
                            0.27377649,
                            0.18930725,
                            0.12363103,
                            0.075780247,
                            0.043595875,
                            0.023262755,
                            0.011315323,
                            0.0048498461,
                            0.0017577036,
                            5.2095944E-4,
                            1.2539923E-4,
                            2.5225087E-5,
                            4.2038976E-6,
                            4.7627938E-7,
                            1.7959511E-8,
                            0.0
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.0010864742,
                            8.1845804E-4,
                            5.7869211E-4,
                            3.6682852E-4,
                            1.9458273E-4,
                            8.4996993E-5,
                            2.9087883E-5,
                            7.1623536E-6,
                            9.0764445E-7,
                            1.7592108E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.1 s",
                    "value": "SA0P1"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.0145918,
                            0.86588518,
                            0.71470055,
                            0.57095425,
                            0.43737556,
                            0.32443992,
                            0.23133437,
                            0.15744102,
                            0.10147535,
                            0.060561332,
                            0.03255145,
                            0.015219492,
                            0.0059927791,
                            0.0019330686,
                            5.0262278E-4,
                            1.0687315E-4,
                            2.0055812E-5,
                            3.1430012E-6,
                            2.9926164E-7,
                            8.5415765E-9
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.17344892,
                            0.15981763,
                            0.14208019,
                            0.12258695,
                            0.10305384,
                            0.085627641,
                            0.069814319,
                            0.054751293,
                            0.040155299,
                            0.026508331,
                            0.015185846,
                            0.0073189862,
                            0.0029157229,
                            9.4819325E-4,
                            2.493153E-4,
                            5.3834045E-5,
                            1.0600687E-5,
                            1.8749492E-6,
                            2.1763015E-7,
                            8.2339884E-9
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.84014678,
                            0.70521021,
                            0.57192629,
                            0.44786484,
                            0.33401473,
                            0.23865614,
                            0.16145635,
                            0.10266979,
                            0.061315744,
                            0.034052627,
                            0.017365605,
                            0.007900506,
                            0.0030770561,
                            9.8487539E-4,
                            2.5330748E-4,
                            5.3039102E-5,
                            9.4551247E-6,
                            1.2680519E-6,
                            8.1631488E-8,
                            3.0758816E-10
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            9.960737E-4,
                            8.5733862E-4,
                            6.9407397E-4,
                            5.0246575E-4,
                            3.0698909E-4,
                            1.5614239E-4,
                            6.3693898E-5,
                            1.994688E-5,
                            4.3098539E-6,
                            3.7352444E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.15 s",
                    "value": "SA0P15"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.1407663,
                            0.99621039,
                            0.84205819,
                            0.68873178,
                            0.5400041,
                            0.40931123,
                            0.29816872,
                            0.20791075,
                            0.13829576,
                            0.086333577,
                            0.049459821,
                            0.025124854,
                            0.010854268,
                            0.003806121,
                            0.0010312435,
                            2.080162E-4,
                            3.3764702E-5,
                            4.8066765E-6,
                            4.7860722E-7,
                            1.9325652E-8
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.18118916,
                            0.17165942,
                            0.15723164,
                            0.13913549,
                            0.11895931,
                            0.099754928,
                            0.082210905,
                            0.066043411,
                            0.050659107,
                            0.035838234,
                            0.022530537,
                            0.012115293,
                            0.0053879077,
                            0.0019217086,
                            5.2996103E-4,
                            1.1069975E-4,
                            1.9412943E-5,
                            3.1314249E-6,
                            3.6730806E-7,
                            1.8412038E-8
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.95860051,
                            0.82368346,
                            0.68410474,
                            0.54905854,
                            0.42070455,
                            0.30937615,
                            0.21588085,
                            0.14184183,
                            0.087630589,
                            0.050494643,
                            0.026929281,
                            0.013009561,
                            0.0054663606,
                            0.0018844124,
                            5.0128244E-4,
                            9.7316446E-5,
                            1.4351759E-5,
                            1.6752516E-6,
                            1.1129916E-7,
                            9.1361323E-10
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            9.7664501E-4,
                            8.6751363E-4,
                            7.2181797E-4,
                            5.3774511E-4,
                            3.4023292E-4,
                            1.8015952E-4,
                            7.6965592E-5,
                            2.5509404E-5,
                            6.0615101E-6,
                            6.999106E-7,
                            2.3035462E-9,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.2 s",
                    "value": "SA0P2"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.2323237,
                            1.0911687,
                            0.93418935,
                            0.77251855,
                            0.6109159,
                            0.4654515,
                            0.33987135,
                            0.2374272,
                            0.15871305,
                            0.10025653,
                            0.058711189,
                            0.030883882,
                            0.014027751,
                            0.0052503092,
                            0.0015302609,
                            3.2094826E-4,
                            4.6894669E-5,
                            5.002961E-6,
                            3.3730482E-7,
                            7.6850998E-9
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.1855879,
                            0.1794664,
                            0.16857959,
                            0.15283726,
                            0.13303739,
                            0.11241555,
                            0.092703776,
                            0.074630241,
                            0.057935378,
                            0.04202867,
                            0.027453768,
                            0.015529709,
                            0.0073481938,
                            0.0028176846,
                            8.4266879E-4,
                            1.8450455E-4,
                            2.9987934E-5,
                            3.7165084E-6,
                            2.9786216E-7,
                            7.6698296E-9
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.0457955,
                            0.91088056,
                            0.76494609,
                            0.61920671,
                            0.47759337,
                            0.35289359,
                            0.24711068,
                            0.16277958,
                            0.10077408,
                            0.058227583,
                            0.031257421,
                            0.015354173,
                            0.0066795575,
                            0.0024326246,
                            6.8759213E-4,
                            1.3644371E-4,
                            1.6906735E-5,
                            1.2864525E-6,
                            3.944266E-8,
                            1.5270231E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            9.4037041E-4,
                            8.2176675E-4,
                            6.6365964E-4,
                            4.7457222E-4,
                            2.851357E-4,
                            1.4235845E-4,
                            5.6896908E-5,
                            1.7380094E-5,
                            3.5904683E-6,
                            2.8120117E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.25 s",
                    "value": "SA0P25"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.2931687,
                            1.1562093,
                            0.99811829,
                            0.83064623,
                            0.65945601,
                            0.50273381,
                            0.366111,
                            0.25454356,
                            0.16943536,
                            0.1069346,
                            0.062910808,
                            0.033503307,
                            0.015600136,
                            0.0061153848,
                            0.0019274773,
                            4.5256696E-4,
                            7.3566018E-5,
                            7.5453989E-6,
                            3.9947105E-7,
                            4.4013144E-9
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.18757772,
                            0.18360994,
                            0.17552535,
                            0.1622848,
                            0.14372032,
                            0.12263161,
                            0.10128545,
                            0.081309338,
                            0.063078374,
                            0.04602383,
                            0.030450946,
                            0.017575096,
                            0.0085772372,
                            0.0034602859,
                            0.0011242605,
                            2.7610155E-4,
                            4.8938335E-5,
                            5.7933068E-6,
                            3.7570073E-7,
                            4.4012683E-9
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.1047003,
                            0.97188965,
                            0.82207787,
                            0.66803667,
                            0.51556768,
                            0.38003115,
                            0.26480214,
                            0.17322879,
                            0.10635637,
                            0.060910773,
                            0.032459862,
                            0.015928211,
                            0.0070228985,
                            0.0026550988,
                            8.0321677E-4,
                            1.7646541E-4,
                            2.4627683E-5,
                            1.7520921E-6,
                            2.3770313E-8,
                            4.6068579E-14
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            8.906206E-4,
                            7.0967271E-4,
                            5.1507264E-4,
                            3.247671E-4,
                            1.6801706E-4,
                            7.1047202E-5,
                            2.3411707E-5,
                            5.4350234E-6,
                            6.1766198E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.3 s",
                    "value": "SA0P3"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.3277838,
                            1.1940406,
                            1.0353741,
                            0.86396029,
                            0.68632507,
                            0.52226754,
                            0.37869338,
                            0.26162379,
                            0.17294665,
                            0.10855579,
                            0.063747519,
                            0.034094474,
                            0.016107165,
                            0.0065230886,
                            0.0021910461,
                            5.7364879E-4,
                            1.092917E-4,
                            1.3313621E-5,
                            8.422273E-7,
                            1.5928312E-8
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.18834611,
                            0.18543425,
                            0.17900753,
                            0.16761381,
                            0.15039058,
                            0.12949238,
                            0.10723175,
                            0.085773925,
                            0.066135551,
                            0.048062594,
                            0.031840506,
                            0.018538113,
                            0.009225721,
                            0.0038648809,
                            0.0013466059,
                            3.7155868E-4,
                            7.6914579E-5,
                            1.0579739E-5,
                            7.8902232E-7,
                            1.5927088E-8
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.1384867,
                            1.007911,
                            0.85590241,
                            0.69607619,
                            0.53580555,
                            0.39272491,
                            0.27144658,
                            0.17584692,
                            0.10681089,
                            0.060493197,
                            0.031907013,
                            0.01555636,
                            0.0068814441,
                            0.0026582077,
                            8.4444022E-4,
                            2.0209012E-4,
                            3.2377121E-5,
                            2.7338818E-6,
                            5.3204978E-8,
                            1.2243754E-12
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            9.5097728E-4,
                            6.9536409E-4,
                            4.6420161E-4,
                            2.7028651E-4,
                            1.2894193E-4,
                            5.0253531E-5,
                            1.5051326E-5,
                            2.9467633E-6,
                            2.1514164E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.4 s",
                    "value": "SA0P4"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.348586,
                            1.2123477,
                            1.0476478,
                            0.86836803,
                            0.68281298,
                            0.51280935,
                            0.3659843,
                            0.24835063,
                            0.16111197,
                            0.099256563,
                            0.057305857,
                            0.030279492,
                            0.014293917,
                            0.0059141841,
                            0.0021071968,
                            6.2057058E-4,
                            1.4377646E-4,
                            2.3189232E-5,
                            2.1087969E-6,
                            7.1091708E-8
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.18896374,
                            0.18694118,
                            0.18195894,
                            0.17224011,
                            0.15628274,
                            0.13553446,
                            0.11219795,
                            0.088871553,
                            0.067297136,
                            0.047815226,
                            0.03099934,
                            0.017796375,
                            0.0088754373,
                            0.003827869,
                            0.0014292612,
                            4.4818709E-4,
                            1.1265841E-4,
                            1.991404E-5,
                            1.9965918E-6,
                            7.1086574E-8
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.1584834,
                            1.0246956,
                            0.86530539,
                            0.69595308,
                            0.52646704,
                            0.37725719,
                            0.25378319,
                            0.15947887,
                            0.093814832,
                            0.051441337,
                            0.026306517,
                            0.012483117,
                            0.0054184794,
                            0.0020863151,
                            6.7793567E-4,
                            1.7238348E-4,
                            3.1118044E-5,
                            3.2751922E-6,
                            1.1220506E-7,
                            5.1337481E-12
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.001138901,
                            7.108888E-4,
                            3.8344777E-4,
                            1.7483825E-4,
                            6.3194168E-5,
                            1.7696876E-5,
                            3.1550133E-6,
                            2.0768149E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.5 s",
                    "value": "SA0P5"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.3394262,
                            1.1967855,
                            1.0256018,
                            0.84142343,
                            0.65367692,
                            0.48463619,
                            0.34122167,
                            0.22828794,
                            0.14590671,
                            0.088466813,
                            0.050252159,
                            0.026177954,
                            0.012259613,
                            0.0050894034,
                            0.0018508236,
                            5.7116892E-4,
                            1.4396658E-4,
                            2.6661686E-5,
                            3.0908085E-6,
                            1.6639466E-7
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.18909947,
                            0.18729479,
                            0.18268825,
                            0.17341128,
                            0.15773122,
                            0.13681247,
                            0.1127716,
                            0.088377074,
                            0.065763613,
                            0.045684818,
                            0.02893605,
                            0.016305561,
                            0.0080645466,
                            0.0034999953,
                            0.0013386989,
                            4.4082303E-4,
                            1.2015446E-4,
                            2.4107949E-5,
                            3.0045936E-6,
                            1.6636919E-7
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            1.1490166,
                            1.0086774,
                            0.84247382,
                            0.66780397,
                            0.49586326,
                            0.34779614,
                            0.2284429,
                            0.13990971,
                            0.080143023,
                            0.042781995,
                            0.021316108,
                            0.0098723936,
                            0.0041950663,
                            0.0015894081,
                            5.1212469E-4,
                            1.3034589E-4,
                            2.3812114E-5,
                            2.5537367E-6,
                            8.6214912E-8,
                            2.5477509E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00333,
                            0.00499,
                            0.00749,
                            0.0112,
                            0.0169,
                            0.0253,
                            0.0379,
                            0.0569,
                            0.0853,
                            0.128,
                            0.192,
                            0.288,
                            0.432,
                            0.648,
                            0.972,
                            1.46,
                            2.19,
                            3.28,
                            4.92,
                            7.38
                        ],
                        "ys": [
                            0.0013101263,
                            8.1339672E-4,
                            4.3971848E-4,
                            2.0817709E-4,
                            8.2442306E-5,
                            2.7585109E-5,
                            7.1674541E-6,
                            1.1513363E-6,
                            7.4172232E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "0.75 s",
                    "value": "SA0P75"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            1.327204,
                            1.1801109,
                            1.0071559,
                            0.82186027,
                            0.64138792,
                            0.47368278,
                            0.335104,
                            0.2245034,
                            0.1437407,
                            0.087377702,
                            0.049999974,
                            0.026538556,
                            0.01288354,
                            0.0056695406,
                            0.0022537208,
                            8.10487E-4,
                            2.5330493E-4,
                            6.6876835E-5,
                            1.3712522E-5,
                            1.8956307E-6
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.18930134,
                            0.18794909,
                            0.18439692,
                            0.17677942,
                            0.16355838,
                            0.14386627,
                            0.12015475,
                            0.094498043,
                            0.070125266,
                            0.048543918,
                            0.030868974,
                            0.017732917,
                            0.009116976,
                            0.0041992977,
                            0.0017482232,
                            6.6399774E-4,
                            2.2127512E-4,
                            6.212091E-5,
                            1.3378611E-5,
                            1.8919444E-6
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            1.136145,
                            0.99076292,
                            0.82176475,
                            0.6444776,
                            0.47752329,
                            0.32969141,
                            0.21490722,
                            0.12999464,
                            0.073613535,
                            0.038833633,
                            0.019131,
                            0.0088056391,
                            0.0037665641,
                            0.0014702429,
                            5.0549757E-4,
                            1.4648925E-4,
                            3.2029802E-5,
                            4.7559254E-6,
                            3.3391098E-7,
                            3.6862968E-9
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.0017576659,
                            0.0013988998,
                            9.9421551E-4,
                            6.0325999E-4,
                            3.0625382E-4,
                            1.2509784E-4,
                            4.202728E-5,
                            1.0719282E-5,
                            1.8974808E-6,
                            1.5175875E-7,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "1.0 s",
                    "value": "SA1P0"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            1.2045279,
                            1.0365159,
                            0.85544521,
                            0.67543201,
                            0.51104469,
                            0.36661058,
                            0.25281639,
                            0.16543242,
                            0.10352407,
                            0.061393014,
                            0.034188446,
                            0.017667502,
                            0.0084029822,
                            0.0036705414,
                            0.0014790478,
                            5.5625081E-4,
                            1.8827993E-4,
                            5.5608805E-5,
                            1.3285118E-5,
                            2.2259747E-6
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.18853922,
                            0.18600219,
                            0.18032536,
                            0.16972685,
                            0.15335301,
                            0.13117841,
                            0.10635322,
                            0.080889516,
                            0.0577439,
                            0.038225053,
                            0.023194423,
                            0.012775045,
                            0.0063759177,
                            0.0029047577,
                            0.0012248179,
                            4.8519638E-4,
                            1.7328555E-4,
                            5.3470277E-5,
                            1.3148473E-5,
                            2.2239673E-6
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            1.0141044,
                            0.84885269,
                            0.67375394,
                            0.5047062,
                            0.35706757,
                            0.23511734,
                            0.14633502,
                            0.084503473,
                            0.045771692,
                            0.023167052,
                            0.010993997,
                            0.0048924577,
                            0.0020270644,
                            7.657837E-4,
                            2.5422994E-4,
                            7.1054426E-5,
                            1.4994385E-5,
                            2.1385278E-6,
                            1.3664512E-7,
                            2.0073494E-9
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.0018842771,
                            0.0016610005,
                            0.0013659023,
                            9.9896532E-4,
                            6.2411307E-4,
                            3.1483383E-4,
                            1.2815325E-4,
                            3.9434741E-5,
                            8.4767038E-6,
                            9.0903494E-7,
                            2.584039E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "1.5 s",
                    "value": "SA1P5"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.96435553,
                            0.78451692,
                            0.61406542,
                            0.46193095,
                            0.3347903,
                            0.23087383,
                            0.1536316,
                            0.097001681,
                            0.058425099,
                            0.033203749,
                            0.017699112,
                            0.0088133971,
                            0.0041012549,
                            0.0017937449,
                            7.4450543E-4,
                            2.9423066E-4,
                            1.0443499E-4,
                            3.2198685E-5,
                            7.9345397E-6,
                            1.3196887E-6
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.18614797,
                            0.18068946,
                            0.17053598,
                            0.1545837,
                            0.13345342,
                            0.10836182,
                            0.083108217,
                            0.059382037,
                            0.039554882,
                            0.024326696,
                            0.013764608,
                            0.0071737078,
                            0.0034679139,
                            0.0015734967,
                            6.7853363E-4,
                            2.7797781E-4,
                            1.015551E-4,
                            3.1895612E-5,
                            7.9205739E-6,
                            1.3193781E-6
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.77643409,
                            0.60226485,
                            0.44223373,
                            0.30636639,
                            0.20068085,
                            0.12214619,
                            0.070356181,
                            0.037561221,
                            0.018855288,
                            0.0088748295,
                            0.0039344101,
                            0.0016396893,
                            6.3334093E-4,
                            2.2024821E-4,
                            6.5971803E-5,
                            1.6252853E-5,
                            2.8798934E-6,
                            3.0307285E-7,
                            1.3965787E-8,
                            3.1054311E-10
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.0017734595,
                            0.001562612,
                            0.0012957045,
                            9.8085589E-4,
                            6.5602978E-4,
                            3.6581433E-4,
                            1.6720367E-4,
                            5.8422378E-5,
                            1.4929385E-5,
                            2.2235813E-6,
                            9.3624398E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "2.0 s",
                    "value": "SA2P0"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.73943817,
                            0.57803939,
                            0.4372766,
                            0.31944921,
                            0.22567687,
                            0.1518989,
                            0.098705054,
                            0.060724412,
                            0.035570353,
                            0.019661154,
                            0.010238687,
                            0.005023963,
                            0.0023322578,
                            0.0010358198,
                            4.4264382E-4,
                            1.7951482E-4,
                            6.4803224E-5,
                            2.0018386E-5,
                            4.7851121E-6,
                            7.2646056E-7
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.18086125,
                            0.17104346,
                            0.15578006,
                            0.13531508,
                            0.11156853,
                            0.086244805,
                            0.062899904,
                            0.042609816,
                            0.026915208,
                            0.015759204,
                            0.0085716798,
                            0.0043538431,
                            0.0020843645,
                            9.5451651E-4,
                            4.20099E-4,
                            1.7451344E-4,
                            6.4055302E-5,
                            1.9954487E-5,
                            4.7821089E-6,
                            7.2639514E-7
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.55682017,
                            0.40543367,
                            0.28016832,
                            0.18307035,
                            0.11332376,
                            0.065148562,
                            0.035528524,
                            0.017994212,
                            0.0086145027,
                            0.0038920947,
                            0.0016657645,
                            6.7009499E-4,
                            2.4789333E-4,
                            8.1303284E-5,
                            2.2544815E-5,
                            5.0013849E-6,
                            7.4792216E-7,
                            6.3899824E-8,
                            3.0032091E-9,
                            6.5417609E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.0025,
                            0.00375,
                            0.00562,
                            0.00843,
                            0.0126,
                            0.019,
                            0.0284,
                            0.0427,
                            0.064,
                            0.096,
                            0.144,
                            0.216,
                            0.324,
                            0.486,
                            0.729,
                            1.09,
                            1.64,
                            2.46,
                            3.69,
                            5.54
                        ],
                        "ys": [
                            0.0017567455,
                            0.0015622521,
                            0.0013282297,
                            0.0010637856,
                            7.8458364E-4,
                            5.055364E-4,
                            2.7662587E-4,
                            1.2038497E-4,
                            4.0643126E-5,
                            9.8547623E-6,
                            1.2426308E-6,
                            2.4863708E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "3.0 s",
                    "value": "SA3P0"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95,
                            4.43
                        ],
                        "ys": [
                            0.53781073,
                            0.41039223,
                            0.3052924,
                            0.21994832,
                            0.15335127,
                            0.1023048,
                            0.065421828,
                            0.039970602,
                            0.023096997,
                            0.012697803,
                            0.0066447467,
                            0.0032649541,
                            0.0015344236,
                            6.8521026E-4,
                            2.9236942E-4,
                            1.1583438E-4,
                            4.1155141E-5,
                            1.2034635E-5,
                            2.6727231E-6,
                            3.3704435E-7
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95,
                            4.43
                        ],
                        "ys": [
                            0.17200581,
                            0.15773778,
                            0.1387553,
                            0.11610258,
                            0.09202842,
                            0.068435705,
                            0.047787214,
                            0.031316338,
                            0.019138015,
                            0.010989873,
                            0.0059489067,
                            0.0030042651,
                            0.0014446589,
                            6.5846169E-4,
                            2.8575188E-4,
                            1.14599E-4,
                            4.0996524E-5,
                            1.2022055E-5,
                            2.6721482E-6,
                            3.3703372E-7
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95,
                            4.43
                        ],
                        "ys": [
                            0.36397308,
                            0.25099052,
                            0.16507823,
                            0.10261627,
                            0.060333942,
                            0.033133404,
                            0.017148491,
                            0.0083822289,
                            0.0038369325,
                            0.0016653666,
                            6.8498634E-4,
                            2.5918345E-4,
                            8.9710752E-5,
                            2.6748573E-5,
                            6.6175352E-6,
                            1.2353785E-6,
                            1.5861757E-7,
                            1.2580317E-8,
                            5.7490587E-10,
                            1.0628825E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95,
                            4.43
                        ],
                        "ys": [
                            0.0018318394,
                            0.0016639296,
                            0.0014588746,
                            0.0012294643,
                            9.8891043E-4,
                            7.3568782E-4,
                            4.8612398E-4,
                            2.7203468E-4,
                            1.220502E-4,
                            4.2563982E-5,
                            1.0853726E-5,
                            1.5055977E-6,
                            5.3946376E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "4.0 s",
                    "value": "SA4P0"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            0.00133,
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95
                        ],
                        "ys": [
                            0.48800568,
                            0.37133054,
                            0.27630198,
                            0.20054302,
                            0.14073415,
                            0.095320667,
                            0.061599488,
                            0.038163897,
                            0.022670132,
                            0.012799529,
                            0.0068932933,
                            0.0035195058,
                            0.0016736538,
                            7.5408827E-4,
                            3.1538368E-4,
                            1.2173467E-4,
                            4.1511261E-5,
                            1.1952696E-5,
                            2.5578682E-6,
                            3.0367162E-7
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            0.00133,
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95
                        ],
                        "ys": [
                            0.17049946,
                            0.15545779,
                            0.13596244,
                            0.11349331,
                            0.08968776,
                            0.066909552,
                            0.046741342,
                            0.030785611,
                            0.019204314,
                            0.011293218,
                            0.0062893163,
                            0.0032987342,
                            0.0016027941,
                            7.3401336E-4,
                            3.1064257E-4,
                            1.2086597E-4,
                            4.1399882E-5,
                            1.1943134E-5,
                            2.5573823E-6,
                            3.0366084E-7
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            0.00133,
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95
                        ],
                        "ys": [
                            0.31581261,
                            0.21436378,
                            0.13901147,
                            0.085876717,
                            0.050006444,
                            0.027508803,
                            0.014131422,
                            0.0068626971,
                            0.0031583628,
                            0.0013598527,
                            5.4987947E-4,
                            2.060028E-4,
                            6.8483049E-5,
                            1.9978622E-5,
                            4.7411163E-6,
                            8.6870437E-7,
                            1.1137852E-7,
                            9.5619495E-9,
                            4.8588711E-10,
                            1.078676E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            0.00133,
                            0.002,
                            0.003,
                            0.00449,
                            0.00674,
                            0.0101,
                            0.0152,
                            0.0228,
                            0.0341,
                            0.0512,
                            0.0768,
                            0.115,
                            0.173,
                            0.259,
                            0.389,
                            0.583,
                            0.875,
                            1.31,
                            1.97,
                            2.95
                        ],
                        "ys": [
                            0.0016936085,
                            0.0015089702,
                            0.0013280727,
                            0.0011729925,
                            0.0010399422,
                            9.0231196E-4,
                            7.2672396E-4,
                            5.155888E-4,
                            3.0745512E-4,
                            1.4645814E-4,
                            5.4097613E-5,
                            1.4768831E-5,
                            2.3766404E-6,
                            9.6285819E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "5.0 s",
                    "value": "SA5P0"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            9.99E-4,
                            0.0015,
                            0.00225,
                            0.00337,
                            0.00506,
                            0.00758,
                            0.0114,
                            0.0171,
                            0.0256,
                            0.0384,
                            0.0576,
                            0.0864,
                            0.13,
                            0.194,
                            0.292,
                            0.437,
                            0.656,
                            0.984,
                            1.48,
                            2.21
                        ],
                        "ys": [
                            0.42499165,
                            0.32265728,
                            0.23975447,
                            0.17388609,
                            0.12208352,
                            0.08288001,
                            0.053867007,
                            0.033707746,
                            0.020320965,
                            0.011738471,
                            0.0064735105,
                            0.0033676395,
                            0.0016242411,
                            7.366791E-4,
                            3.0168257E-4,
                            1.1323494E-4,
                            3.6957317E-5,
                            1.0170037E-5,
                            2.1024433E-6,
                            2.4649873E-7
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            9.99E-4,
                            0.0015,
                            0.00225,
                            0.00337,
                            0.00506,
                            0.00758,
                            0.0114,
                            0.0171,
                            0.0256,
                            0.0384,
                            0.0576,
                            0.0864,
                            0.13,
                            0.194,
                            0.292,
                            0.437,
                            0.656,
                            0.984,
                            1.48,
                            2.21
                        ],
                        "ys": [
                            0.16516871,
                            0.14851875,
                            0.12806311,
                            0.10542271,
                            0.082250281,
                            0.06074547,
                            0.042209295,
                            0.027821177,
                            0.017483916,
                            0.010461206,
                            0.0059474824,
                            0.0031751155,
                            0.001564076,
                            7.2076435E-4,
                            2.9837557E-4,
                            1.1264372E-4,
                            3.6879812E-5,
                            1.0163047E-5,
                            2.1020438E-6,
                            2.464881E-7
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            9.99E-4,
                            0.0015,
                            0.00225,
                            0.00337,
                            0.00506,
                            0.00758,
                            0.0114,
                            0.0171,
                            0.0256,
                            0.0384,
                            0.0576,
                            0.0864,
                            0.13,
                            0.194,
                            0.292,
                            0.437,
                            0.656,
                            0.984,
                            1.48,
                            2.21
                        ],
                        "ys": [
                            0.25833342,
                            0.17282426,
                            0.11051057,
                            0.067372316,
                            0.038811968,
                            0.021197019,
                            0.010848578,
                            0.0052556859,
                            0.0024092681,
                            0.0010344891,
                            4.1393884E-4,
                            1.5168655E-4,
                            4.9193114E-5,
                            1.4114564E-5,
                            3.2402385E-6,
                            5.9122261E-7,
                            7.7505268E-8,
                            6.9896524E-9,
                            3.9955414E-10,
                            1.063077E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            9.99E-4,
                            0.0015,
                            0.00225,
                            0.00337,
                            0.00506,
                            0.00758,
                            0.0114,
                            0.0171,
                            0.0256,
                            0.0384,
                            0.0576,
                            0.0864,
                            0.13,
                            0.194,
                            0.292,
                            0.437,
                            0.656,
                            0.984,
                            1.48,
                            2.21
                        ],
                        "ys": [
                            0.00148952,
                            0.0013142656,
                            0.0011807935,
                            0.0010910602,
                            0.0010212661,
                            9.3752095E-4,
                            8.0913425E-4,
                            6.3088319E-4,
                            4.2778074E-4,
                            2.4277664E-4,
                            1.1208924E-4,
                            4.0837473E-5,
                            1.0972012E-5,
                            1.8001875E-6,
                            6.6758623E-8,
                            0.0,
                            0.0,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "7.5 s",
                    "value": "SA7P5"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738,
                            1.11
                        ],
                        "ys": [
                            0.36581385,
                            0.27990172,
                            0.21079226,
                            0.15414045,
                            0.11031889,
                            0.076489586,
                            0.051214773,
                            0.033289692,
                            0.021022299,
                            0.012915383,
                            0.0076448349,
                            0.0042740631,
                            0.0021992222,
                            0.0010143372,
                            4.082261E-4,
                            1.4117542E-4,
                            4.0729244E-5,
                            9.5173073E-6,
                            1.7847064E-6,
                            2.0071119E-7
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738,
                            1.11
                        ],
                        "ys": [
                            0.15957675,
                            0.14231484,
                            0.1222228,
                            0.10005041,
                            0.078364522,
                            0.058364177,
                            0.04129357,
                            0.027954375,
                            0.018176682,
                            0.011403034,
                            0.0068584167,
                            0.0038883843,
                            0.0020286745,
                            9.4926563E-4,
                            3.8793626E-4,
                            1.3649004E-4,
                            4.0186276E-5,
                            9.5098023E-6,
                            1.7842162E-6,
                            2.0069648E-7
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738,
                            1.11
                        ],
                        "ys": [
                            0.20456338,
                            0.13609228,
                            0.08724038,
                            0.052892337,
                            0.030840991,
                            0.017067157,
                            0.0089168711,
                            0.0044119775,
                            0.0020495954,
                            8.8837319E-4,
                            3.5419917E-4,
                            1.276345E-4,
                            4.0661422E-5,
                            1.1179452E-5,
                            2.5704203E-6,
                            4.8234752E-7,
                            7.1188007E-8,
                            7.5049491E-9,
                            4.9020928E-10,
                            1.4714297E-11
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738,
                            1.11
                        ],
                        "ys": [
                            0.001673716,
                            0.0014946028,
                            0.001329086,
                            0.0011977021,
                            0.0011133815,
                            0.0010582524,
                            0.0010043326,
                            9.2333905E-4,
                            7.9602077E-4,
                            6.2397499E-4,
                            4.3221898E-4,
                            2.5804425E-4,
                            1.298862E-4,
                            5.3892074E-5,
                            1.7719422E-5,
                            4.2030401E-6,
                            4.7178014E-7,
                            0.0,
                            0.0,
                            0.0
                        ]
                        }
                    }
                    ]
                },
                {
                    "imt": {
                    "display": "10.0 s",
                    "value": "SA10P0"
                    },
                    "data": [
                    {
                        "component": "Total",
                        "values": {
                        "xs": [
                            3.33E-4,
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738
                        ],
                        "ys": [
                            0.30223565,
                            0.23096659,
                            0.17295525,
                            0.12690979,
                            0.089972621,
                            0.062366422,
                            0.041995553,
                            0.027521828,
                            0.017692683,
                            0.011111039,
                            0.0067446256,
                            0.0038649048,
                            0.0020254736,
                            9.3862766E-4,
                            3.7284869E-4,
                            1.2255595E-4,
                            3.184896E-5,
                            5.9403214E-6,
                            7.5240916E-7,
                            5.9114002E-8
                        ]
                        }
                    },
                    {
                        "component": "FaultSystem",
                        "values": {
                        "xs": [
                            3.33E-4,
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738
                        ],
                        "ys": [
                            0.14857955,
                            0.12987008,
                            0.10906164,
                            0.08790397,
                            0.067301811,
                            0.049452044,
                            0.034775781,
                            0.023501998,
                            0.01541474,
                            0.0097945533,
                            0.0059782064,
                            0.003430534,
                            0.0017957428,
                            8.2966454E-4,
                            3.2812367E-4,
                            1.0741861E-4,
                            2.8008365E-5,
                            5.4314669E-6,
                            7.5201084E-7,
                            5.9111264E-8
                        ]
                        }
                    },
                    {
                        "component": "Grid",
                        "values": {
                        "xs": [
                            3.33E-4,
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738
                        ],
                        "ys": [
                            0.15193864,
                            0.099549546,
                            0.062513819,
                            0.037764544,
                            0.02153046,
                            0.011840204,
                            0.0062012942,
                            0.0030727119,
                            0.0014366563,
                            6.2146303E-4,
                            2.4464611E-4,
                            8.5757291E-5,
                            2.6157942E-5,
                            6.780364E-6,
                            1.4712758E-6,
                            2.5835813E-7,
                            3.4498749E-8,
                            3.1611134E-9,
                            1.5923918E-10,
                            2.7381253E-12
                        ]
                        }
                    },
                    {
                        "component": "Interface",
                        "values": {
                        "xs": [
                            3.33E-4,
                            4.99E-4,
                            7.49E-4,
                            0.00112,
                            0.00169,
                            0.00253,
                            0.00379,
                            0.00569,
                            0.00853,
                            0.0128,
                            0.0192,
                            0.0288,
                            0.0432,
                            0.0648,
                            0.0972,
                            0.146,
                            0.219,
                            0.328,
                            0.492,
                            0.738
                        ],
                        "ys": [
                            0.0017174569,
                            0.0015469654,
                            0.001379796,
                            0.0012412784,
                            0.0011403506,
                            0.0010741746,
                            0.0010184782,
                            9.4711843E-4,
                            8.4128713E-4,
                            6.9502305E-4,
                            5.217731E-4,
                            3.4861358E-4,
                            2.0357288E-4,
                            1.0218276E-4,
                            4.325375E-5,
                            1.4878981E-5,
                            3.8060958E-6,
                            5.056934E-7,
                            2.390859E-10,
                            0.0
                        ]
                        }
                    }
                    ]
                }
                ]
            },
            "metadata": {
                "repositories": [
                {
                    "projectName": "nshmp-haz",
                    "url": "https://code.usgs.gov/ghsc/nshmp/nshmp-haz",
                    "version": "2.0.9-23-gce9c0d9",
                    "branchName": "production",
                    "commitDistance": 23,
                    "gitHash": "ce9c0d9bc9",
                    "gitHashFull": "ce9c0d9bc978f0a5dc9210af89753bc7015d70ff",
                    "isCleanTag": False,
                    "lastTag": "2.0.9"
                },
                {
                    "projectName": "nshmp-lib",
                    "url": "https://code.usgs.gov/ghsc/nshmp/nshmp-lib",
                    "version": "1.2.10",
                    "branchName": None,
                    "commitDistance": 0,
                    "gitHash": "8d24c78c38",
                    "gitHashFull": "8d24c78c38c7abd21ca320b0b2702c3f9a856f5c",
                    "isCleanTag": True,
                    "lastTag": "1.2.10"
                },
                {
                    "projectName": "nshmp-ws-utils",
                    "url": "https://code.usgs.gov/ghsc/nshmp/nshmp-ws-utils",
                    "version": "0.3.11",
                    "branchName": None,
                    "commitDistance": 0,
                    "gitHash": "6c35f8214f",
                    "gitHashFull": "6c35f8214fed7cf94b80b99b63ed1733a1431c76",
                    "isCleanTag": True,
                    "lastTag": "0.3.11"
                }
                ]
            }
        }

    mock_response = MockResponse(
        headers={'Content-Type' :'application/json'},
        status_code=200,
        json_=mock_res
    )

    return mock_response


def mock_flood_FSF_point_response(file_path, clipping_mask_geom, save_path) :

    # load the test rasters we are returning in the call to s3
    if 'n27w81_src_combined' in file_path :
        src_raster_name='n27w81_src_combined_27.526180_-80.348370.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'n27w81_year30_0p50_1in500' in file_path :
        depth_raster_name='n27w81_year30_0p50_1in500_27.526180_-80.348370.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    else : 
        return None


def mock_flood_fathom_buffered_point_response(byte_obj) :

    # load the test rasters we are returning in the call to s3
    src_raster_name='US-1_3ARCSEC-00_OFFSET-1in1000-PLUVIAL-DEFENDED-DEPTH-2020-PERCENTILE50-v2.0.0_25.768377_-80.194321.tiff'
    src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
    return src_raster



def mock_flood_fathom_buffered_area_response(byte_obj) :

    # load the test rasters we are returning in the call to s3
    src_raster_name='US-1_3ARCSEC-00_OFFSET-1in1000-PLUVIAL-DEFENDED-DEPTH-2020-PERCENTILE50-v2.0.0_25.768334_-80.194257.tiff'
    src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
    return src_raster


def mock_fathom_client_poly_response(poly, layer_ids, project_id) :

    # Dummy classes that follow the Fathom response schema
    class polygons_class :
        geo_tiffs = 'i'

    class data_class :
        polygons = polygons_class()
    
    data = data_class()

    class finalObj :
        results = {
            'US-1_3ARCSEC-00_OFFSET-1in1000-PLUVIAL-DEFENDED-DEPTH-2020-PERCENTILE50-v2.0.0' : data,
        }

    return finalObj()


def mock_fathom_client_point_response(poly, layer_ids, project_id) :

    # Dummy classes that follow the Fathom response schema
    class point_class :
        val = 70

    class data_class :
        values = [point_class()]
    
    data = data_class()

    class finalObj :
        results = {
            'US-1_3ARCSEC-00_OFFSET-1in1000-PLUVIAL-DEFENDED-DEPTH-2020-PERCENTILE50-v2.0.0' : data,
        }

    return finalObj()


def mock_flood_FSF_area_response(file_path, clipping_mask_geom, save_path) :

    if 'n29w81_src_combined' in file_path :
        src_raster_name='n29w81_src_combined_29.034096_-80.898647.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'n29w81_year30_0p50_1in500' in file_path :
        depth_raster_name='n29w81_year30_0p50_1in500_29.034096_-80.898647.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    else : 
        return None



def mock_flood_FSF_area_response_no_hazard(file_path, clipping_mask_geom, save_path) :

    if 'n37w123_src_combined' in file_path :
        src_raster_name='n37w123_src_combined_37.787053_-122.392960.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'n37w123_year30_0p50_1in500' in file_path :
        depth_raster_name='n37w123_year30_0p50_1in500_37.787053_-122.392960.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    else : 
        return None



def mock_fire_FSF_point_get_clipped_raster_s3(file_path, clipping_mask_geom, save_path) :

    # load the test rasters we are returning in the call to s3
    if 'y2052_flamelength_max' in file_path :
        src_raster_name='y2052_flamelength_max_38.913617_-122.815699.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'y2052_flamelength_avg' in file_path :
        depth_raster_name='y2052_flamelength_avg_38.913617_-122.815699.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    elif 'y2052_emberzone' in file_path :
        depth_raster_name='y2052_emberzone_38.913617_-122.815699.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    elif 'y2052_embersum' in file_path :
        depth_raster_name='y2052_embersum_38.913617_-122.815699.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    elif 'y2052_burnprobability' in file_path :
        depth_raster_name='y2052_burnprobability_38.913617_-122.815699.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    else : 
        return None
    


def mock_fire_FSF_area_get_clipped_raster_s3(file_path, clipping_mask_geom, save_path) :

    # load the test rasters we are returning in the call to s3
    if 'y2052_flamelength_max' in file_path :
        src_raster_name='y2052_flamelength_max_39.483522_-121.300823.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'y2052_flamelength_avg' in file_path :
        depth_raster_name='y2052_flamelength_avg_39.483522_-121.300823.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    elif 'y2052_emberzone' in file_path :
        depth_raster_name='y2052_emberzone_39.483522_-121.300823.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    elif 'y2052_embersum' in file_path :
        depth_raster_name='y2052_embersum_39.483522_-121.300823.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    elif 'y2052_burnprobability' in file_path :
        depth_raster_name='y2052_burnprobability_39.483522_-121.300823.tif'
        depth_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,depth_raster_name))
        return depth_raster
    else : 
        return None


def mock_heat_FSF_point_get_clipped_raster_s3(file_path, clipping_mask_geom, save_path) :

    # load the test rasters we are returning in the call to s3
    if 'y2052_bin98' in file_path :
        src_raster_name='y2052_bin98_32.907372_-117.220499.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'y2052_maxtemp' in file_path :
        src_raster_name='y2052_maxtemp_32.907372_-117.220499.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    else : 
        return None


def mock_heat_FSF_area_get_clipped_raster_s3(file_path, clipping_mask_geom, save_path) :

    # load the test rasters we are returning in the call to s3
    if 'y2052_bin98' in file_path :
        src_raster_name='y2052_bin98_32.913683_-117.232640.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    elif 'y2052_maxtemp' in file_path :
        src_raster_name='y2052_maxtemp_32.913683_-117.232640.tif'
        src_raster = get_raster_locally(file_path=os.path.join(local_raster_prefix,src_raster_name))
        return src_raster
    else : 
        return None


def mock_fire_get_bin_values_point(year,  gdf, only_fb=False) :

    if year != 'y2052' :
        return None

    # load the test rasters we are returning in the call to s3
    if only_fb :
        return {
            'flame_length_bins': {
                'conus_fb0_allyr': 30, 
                'conus_fb2_allyr': 439, 
                'conus_fb4_allyr': 2108, 
                'conus_fb8_allyr': 1195, 
                'conus_fb12_allyr': 139, 
                'conus_fb20_allyr': 0
                }
            }
                
    else : 
        return {
            'flame_length_bins': {
                'conus_fb0_allyr': 2239, 
                'conus_fb2_allyr': 1563, 
                'conus_fb4_allyr': 19, 
                'conus_fb8_allyr': 0, 
                'conus_fb12_allyr': 0, 
                'conus_fb20_allyr': 0
                }, 
            'ember_count_bins': {
                'conus_ec1_allyr': 1186, 
                'conus_ec2_allyr': 876, 
                'conus_ec3_allyr': 440, 
                'conus_ec4_allyr': 191, 
                'conus_ec5_allyr': 80
                }
            }
    

def mock_fire_get_bin_values_area(year,  gdf, only_fb=False) :

    if year != 'y2052' :
        return None

    # load the test rasters we are returning in the call to s3
    if only_fb :
        return {
                'flame_length_bins': {
                'conus_fb0_allyr': 123, 
                'conus_fb2_allyr': 2425, 
                'conus_fb4_allyr': 4260, 
                'conus_fb8_allyr': 5, 
                'conus_fb12_allyr': 0, 
                'conus_fb20_allyr': 0
                }
            }
                
    else : 
        return {
            'flame_length_bins': {
                'conus_fb0_allyr': 3375, 
                'conus_fb2_allyr': 2550, 
                'conus_fb4_allyr': 210, 
                'conus_fb8_allyr': 0, 
                'conus_fb12_allyr': 0, 
                'conus_fb20_allyr': 0
                }, 
            'ember_count_bins': {
                'conus_ec1_allyr': 2247, 
                'conus_ec2_allyr': 1481, 
                'conus_ec3_allyr': 781, 
                'conus_ec4_allyr': 307, 
                'conus_ec5_allyr': 135
                }
            }